/*******************************************************************************
* File Name: Phase.h  
* Version 1.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_CONTROL_REG_Phase_H) /* CY_CONTROL_REG_Phase_H */
#define CY_CONTROL_REG_Phase_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*        Function Prototypes 		    
***************************************/    

void    Phase_Write(uint8 control);
uint8   Phase_Read(void);


/***************************************
*             Registers        
***************************************/

/* Control Register */
#define Phase_Control		(* (reg8 *) Phase_ctrl_reg__CONTROL_REG )

#endif /* End CY_CONTROL_REG_Phase_H */


/* [] END OF FILE */
