#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"

/* Excitation_Drive_ABuf */
#define Excitation_Drive_ABuf__CR CYDEV_ANAIF_CFG_ABUF3_CR
#define Excitation_Drive_ABuf__MX CYDEV_ANAIF_RT_ABUF3_MX
#define Excitation_Drive_ABuf__NPUMP_ABUF_TR0 CYDEV_MFGCFG_ANAIF_NPUMP_ABUF_TR0
#define Excitation_Drive_ABuf__PM_ACT_CFG CYDEV_PM_ACT_CFG4
#define Excitation_Drive_ABuf__PM_ACT_MSK 0x08u
#define Excitation_Drive_ABuf__PM_STBY_CFG CYDEV_PM_STBY_CFG4
#define Excitation_Drive_ABuf__PM_STBY_MSK 0x08u
#define Excitation_Drive_ABuf__RSVD CYDEV_ANAIF_CFG_ABUF3_RSVD
#define Excitation_Drive_ABuf__SW CYDEV_ANAIF_RT_ABUF3_SW
#define Excitation_Drive_ABuf__TR0 CYDEV_MFGCFG_ANAIF_ABUF3_TR0
#define Excitation_Drive_ABuf__TR1 CYDEV_MFGCFG_ANAIF_ABUF3_TR1

/* Agnd_Buffer_ABuf */
#define Agnd_Buffer_ABuf__CR CYDEV_ANAIF_CFG_ABUF1_CR
#define Agnd_Buffer_ABuf__MX CYDEV_ANAIF_RT_ABUF1_MX
#define Agnd_Buffer_ABuf__NPUMP_ABUF_TR0 CYDEV_MFGCFG_ANAIF_NPUMP_ABUF_TR0
#define Agnd_Buffer_ABuf__PM_ACT_CFG CYDEV_PM_ACT_CFG4
#define Agnd_Buffer_ABuf__PM_ACT_MSK 0x02u
#define Agnd_Buffer_ABuf__PM_STBY_CFG CYDEV_PM_STBY_CFG4
#define Agnd_Buffer_ABuf__PM_STBY_MSK 0x02u
#define Agnd_Buffer_ABuf__RSVD CYDEV_ANAIF_CFG_ABUF1_RSVD
#define Agnd_Buffer_ABuf__SW CYDEV_ANAIF_RT_ABUF1_SW
#define Agnd_Buffer_ABuf__TR0 CYDEV_MFGCFG_ANAIF_ABUF1_TR0
#define Agnd_Buffer_ABuf__TR1 CYDEV_MFGCFG_ANAIF_ABUF1_TR1

/* Excitation_Sense */
#define Excitation_Sense__0__MASK 0x40u
#define Excitation_Sense__0__PC CYDEV_IO_PC_PRT0_PC6
#define Excitation_Sense__0__PORT 0
#define Excitation_Sense__0__SHIFT 6
#define Excitation_Sense__AG CYDEV_IO_PRT_PRT0_AG
#define Excitation_Sense__AMUX CYDEV_IO_PRT_PRT0_AMUX
#define Excitation_Sense__BIE CYDEV_IO_PRT_PRT0_BIE
#define Excitation_Sense__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
#define Excitation_Sense__BYP CYDEV_IO_PRT_PRT0_BYP
#define Excitation_Sense__CTL CYDEV_IO_PRT_PRT0_CTL
#define Excitation_Sense__DM0 CYDEV_IO_PRT_PRT0_DM0
#define Excitation_Sense__DM1 CYDEV_IO_PRT_PRT0_DM1
#define Excitation_Sense__DM2 CYDEV_IO_PRT_PRT0_DM2
#define Excitation_Sense__DR CYDEV_IO_PRT_PRT0_DR
#define Excitation_Sense__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
#define Excitation_Sense__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
#define Excitation_Sense__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
#define Excitation_Sense__PORT 0
#define Excitation_Sense__PRT CYDEV_IO_PRT_PRT0_PRT
#define Excitation_Sense__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
#define Excitation_Sense__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
#define Excitation_Sense__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
#define Excitation_Sense__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
#define Excitation_Sense__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
#define Excitation_Sense__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
#define Excitation_Sense__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
#define Excitation_Sense__PS CYDEV_IO_PRT_PRT0_PS
#define Excitation_Sense__SLW CYDEV_IO_PRT_PRT0_SLW

/* ADC_Bypass_P32 */
#define ADC_Bypass_P32__0__MASK 0x04u
#define ADC_Bypass_P32__0__PC CYDEV_IO_PC_PRT3_PC2
#define ADC_Bypass_P32__0__PORT 3
#define ADC_Bypass_P32__0__SHIFT 2
#define ADC_Bypass_P32__AG CYDEV_IO_PRT_PRT3_AG
#define ADC_Bypass_P32__AMUX CYDEV_IO_PRT_PRT3_AMUX
#define ADC_Bypass_P32__BIE CYDEV_IO_PRT_PRT3_BIE
#define ADC_Bypass_P32__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
#define ADC_Bypass_P32__BYP CYDEV_IO_PRT_PRT3_BYP
#define ADC_Bypass_P32__Bypass_P32__MASK 0x04u
#define ADC_Bypass_P32__Bypass_P32__PC CYDEV_IO_PC_PRT3_PC2
#define ADC_Bypass_P32__Bypass_P32__PORT 3
#define ADC_Bypass_P32__Bypass_P32__SHIFT 2
#define ADC_Bypass_P32__CTL CYDEV_IO_PRT_PRT3_CTL
#define ADC_Bypass_P32__DM0 CYDEV_IO_PRT_PRT3_DM0
#define ADC_Bypass_P32__DM1 CYDEV_IO_PRT_PRT3_DM1
#define ADC_Bypass_P32__DM2 CYDEV_IO_PRT_PRT3_DM2
#define ADC_Bypass_P32__DR CYDEV_IO_PRT_PRT3_DR
#define ADC_Bypass_P32__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
#define ADC_Bypass_P32__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
#define ADC_Bypass_P32__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
#define ADC_Bypass_P32__PORT 3
#define ADC_Bypass_P32__PRT CYDEV_IO_PRT_PRT3_PRT
#define ADC_Bypass_P32__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
#define ADC_Bypass_P32__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
#define ADC_Bypass_P32__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
#define ADC_Bypass_P32__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
#define ADC_Bypass_P32__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
#define ADC_Bypass_P32__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
#define ADC_Bypass_P32__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
#define ADC_Bypass_P32__PS CYDEV_IO_PRT_PRT3_PS
#define ADC_Bypass_P32__SLW CYDEV_IO_PRT_PRT3_SLW

/* IExcite_viDAC8 */
#define IExcite_viDAC8__CR0 CYDEV_ANAIF_CFG_DAC1_CR0
#define IExcite_viDAC8__CR1 CYDEV_ANAIF_CFG_DAC1_CR1
#define IExcite_viDAC8__D CYDEV_ANAIF_WRK_DAC1_D
#define IExcite_viDAC8__PM_ACT_CFG CYDEV_PM_ACT_CFG8
#define IExcite_viDAC8__PM_ACT_MSK 0x02u
#define IExcite_viDAC8__PM_STBY_CFG CYDEV_PM_STBY_CFG8
#define IExcite_viDAC8__PM_STBY_MSK 0x02u
#define IExcite_viDAC8__STROBE CYDEV_ANAIF_RT_DAC1_STROBE
#define IExcite_viDAC8__SW0 CYDEV_ANAIF_RT_DAC1_SW0
#define IExcite_viDAC8__SW2 CYDEV_ANAIF_RT_DAC1_SW2
#define IExcite_viDAC8__SW3 CYDEV_ANAIF_RT_DAC1_SW3
#define IExcite_viDAC8__SW4 CYDEV_ANAIF_RT_DAC1_SW4
#define IExcite_viDAC8__TR CYDEV_MFGCFG_ANAIF_DAC1_TR
#define IExcite_viDAC8__TST CYDEV_ANAIF_CFG_DAC1_TST

/* Divider_PWMHW */
#define Divider_PWMHW__CAP0 CYDEV_TMR0_CAP0
#define Divider_PWMHW__CAP1 CYDEV_TMR0_CAP1
#define Divider_PWMHW__CFG0 CYDEV_TMR0_CFG0
#define Divider_PWMHW__CFG1 CYDEV_TMR0_CFG1
#define Divider_PWMHW__CNT_CMP0 CYDEV_TMR0_CNT_CMP0
#define Divider_PWMHW__CNT_CMP1 CYDEV_TMR0_CNT_CMP1
#define Divider_PWMHW__PER0 CYDEV_TMR0_PER0
#define Divider_PWMHW__PER1 CYDEV_TMR0_PER1
#define Divider_PWMHW__PM_ACT_CFG CYDEV_PM_ACT_CFG3
#define Divider_PWMHW__PM_ACT_MSK 0x01u
#define Divider_PWMHW__PM_STBY_CFG CYDEV_PM_STBY_CFG3
#define Divider_PWMHW__PM_STBY_MSK 0x01u
#define Divider_PWMHW__RT0 CYDEV_TMR0_RT0
#define Divider_PWMHW__RT1 CYDEV_TMR0_RT1
#define Divider_PWMHW__SR0 CYDEV_TMR0_SR0

/* ADC_theACLK */
#define ADC_theACLK__CFG0 CYDEV_CLKDIST_ACFG0_CFG0
#define ADC_theACLK__CFG1 CYDEV_CLKDIST_ACFG0_CFG1
#define ADC_theACLK__CFG2 CYDEV_CLKDIST_ACFG0_CFG2
#define ADC_theACLK__CFG3 CYDEV_CLKDIST_ACFG0_CFG3
#define ADC_theACLK__PM_ACT_CFG CYDEV_PM_ACT_CFG1
#define ADC_theACLK__PM_ACT_MSK 0x01u
#define ADC_theACLK__PM_STBY_CFG CYDEV_PM_STBY_CFG1
#define ADC_theACLK__PM_STBY_MSK 0x01u

/* Agnd_viDAC8 */
#define Agnd_viDAC8__CR0 CYDEV_ANAIF_CFG_DAC3_CR0
#define Agnd_viDAC8__CR1 CYDEV_ANAIF_CFG_DAC3_CR1
#define Agnd_viDAC8__D CYDEV_ANAIF_WRK_DAC3_D
#define Agnd_viDAC8__PM_ACT_CFG CYDEV_PM_ACT_CFG8
#define Agnd_viDAC8__PM_ACT_MSK 0x08u
#define Agnd_viDAC8__PM_STBY_CFG CYDEV_PM_STBY_CFG8
#define Agnd_viDAC8__PM_STBY_MSK 0x08u
#define Agnd_viDAC8__STROBE CYDEV_ANAIF_RT_DAC3_STROBE
#define Agnd_viDAC8__SW0 CYDEV_ANAIF_RT_DAC3_SW0
#define Agnd_viDAC8__SW2 CYDEV_ANAIF_RT_DAC3_SW2
#define Agnd_viDAC8__SW3 CYDEV_ANAIF_RT_DAC3_SW3
#define Agnd_viDAC8__SW4 CYDEV_ANAIF_RT_DAC3_SW4
#define Agnd_viDAC8__TR CYDEV_MFGCFG_ANAIF_DAC3_TR
#define Agnd_viDAC8__TST CYDEV_ANAIF_CFG_DAC3_TST

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYDEV_IO_PC_PRT2_PC0
#define LCD_LCDPort__0__PORT 2
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYDEV_IO_PC_PRT2_PC1
#define LCD_LCDPort__1__PORT 2
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYDEV_IO_PC_PRT2_PC2
#define LCD_LCDPort__2__PORT 2
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYDEV_IO_PC_PRT2_PC3
#define LCD_LCDPort__3__PORT 2
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYDEV_IO_PC_PRT2_PC4
#define LCD_LCDPort__4__PORT 2
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYDEV_IO_PC_PRT2_PC5
#define LCD_LCDPort__5__PORT 2
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYDEV_IO_PC_PRT2_PC6
#define LCD_LCDPort__6__PORT 2
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYDEV_IO_PRT_PRT2_AG
#define LCD_LCDPort__AMUX CYDEV_IO_PRT_PRT2_AMUX
#define LCD_LCDPort__BIE CYDEV_IO_PRT_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYDEV_IO_PRT_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYDEV_IO_PRT_PRT2_BYP
#define LCD_LCDPort__CTL CYDEV_IO_PRT_PRT2_CTL
#define LCD_LCDPort__DM0 CYDEV_IO_PRT_PRT2_DM0
#define LCD_LCDPort__DM1 CYDEV_IO_PRT_PRT2_DM1
#define LCD_LCDPort__DM2 CYDEV_IO_PRT_PRT2_DM2
#define LCD_LCDPort__DR CYDEV_IO_PRT_PRT2_DR
#define LCD_LCDPort__INP_DIS CYDEV_IO_PRT_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYDEV_IO_PRT_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYDEV_IO_PRT_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2
#define LCD_LCDPort__PRT CYDEV_IO_PRT_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYDEV_IO_PRT_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYDEV_IO_PRT_PRT2_SLW

/* Agnd_Drive */
#define Agnd_Drive__0__MASK 0x40u
#define Agnd_Drive__0__PC CYDEV_IO_PC_PRT3_PC6
#define Agnd_Drive__0__PORT 3
#define Agnd_Drive__0__SHIFT 6
#define Agnd_Drive__AG CYDEV_IO_PRT_PRT3_AG
#define Agnd_Drive__AMUX CYDEV_IO_PRT_PRT3_AMUX
#define Agnd_Drive__BIE CYDEV_IO_PRT_PRT3_BIE
#define Agnd_Drive__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
#define Agnd_Drive__BYP CYDEV_IO_PRT_PRT3_BYP
#define Agnd_Drive__CTL CYDEV_IO_PRT_PRT3_CTL
#define Agnd_Drive__DM0 CYDEV_IO_PRT_PRT3_DM0
#define Agnd_Drive__DM1 CYDEV_IO_PRT_PRT3_DM1
#define Agnd_Drive__DM2 CYDEV_IO_PRT_PRT3_DM2
#define Agnd_Drive__DR CYDEV_IO_PRT_PRT3_DR
#define Agnd_Drive__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
#define Agnd_Drive__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
#define Agnd_Drive__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
#define Agnd_Drive__PORT 3
#define Agnd_Drive__PRT CYDEV_IO_PRT_PRT3_PRT
#define Agnd_Drive__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
#define Agnd_Drive__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
#define Agnd_Drive__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
#define Agnd_Drive__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
#define Agnd_Drive__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
#define Agnd_Drive__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
#define Agnd_Drive__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
#define Agnd_Drive__PS CYDEV_IO_PRT_PRT3_PS
#define Agnd_Drive__SLW CYDEV_IO_PRT_PRT3_SLW

/* Excitation */
#define Excitation__0__MASK 0x80u
#define Excitation__0__PC CYDEV_IO_PC_PRT3_PC7
#define Excitation__0__PORT 3
#define Excitation__0__SHIFT 7
#define Excitation__AG CYDEV_IO_PRT_PRT3_AG
#define Excitation__AMUX CYDEV_IO_PRT_PRT3_AMUX
#define Excitation__BIE CYDEV_IO_PRT_PRT3_BIE
#define Excitation__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
#define Excitation__BYP CYDEV_IO_PRT_PRT3_BYP
#define Excitation__CTL CYDEV_IO_PRT_PRT3_CTL
#define Excitation__DM0 CYDEV_IO_PRT_PRT3_DM0
#define Excitation__DM1 CYDEV_IO_PRT_PRT3_DM1
#define Excitation__DM2 CYDEV_IO_PRT_PRT3_DM2
#define Excitation__DR CYDEV_IO_PRT_PRT3_DR
#define Excitation__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
#define Excitation__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
#define Excitation__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
#define Excitation__PORT 3
#define Excitation__PRT CYDEV_IO_PRT_PRT3_PRT
#define Excitation__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
#define Excitation__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
#define Excitation__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
#define Excitation__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
#define Excitation__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
#define Excitation__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
#define Excitation__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
#define Excitation__PS CYDEV_IO_PRT_PRT3_PS
#define Excitation__SLW CYDEV_IO_PRT_PRT3_SLW

/* Sine_Table */
#define Sine_Table__DRQ_CTL CYDEV_IDMUX_DRQ_CTL2
#define Sine_Table__DRQ_NUMBER 10
#define Sine_Table__NUMBEROF_TDS 0
#define Sine_Table__PRIORITY 2
#define Sine_Table__TERMIN_EN 0
#define Sine_Table__TERMIN_SEL 0
#define Sine_Table__TERMOUT0_EN 1
#define Sine_Table__TERMOUT0_SEL 10
#define Sine_Table__TERMOUT1_EN 0
#define Sine_Table__TERMOUT1_SEL 0

/* TIA_Output */
#define TIA_Output__0__MASK 0x02u
#define TIA_Output__0__PC CYDEV_IO_PC_PRT0_PC1
#define TIA_Output__0__PORT 0
#define TIA_Output__0__SHIFT 1
#define TIA_Output__AG CYDEV_IO_PRT_PRT0_AG
#define TIA_Output__AMUX CYDEV_IO_PRT_PRT0_AMUX
#define TIA_Output__BIE CYDEV_IO_PRT_PRT0_BIE
#define TIA_Output__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
#define TIA_Output__BYP CYDEV_IO_PRT_PRT0_BYP
#define TIA_Output__CTL CYDEV_IO_PRT_PRT0_CTL
#define TIA_Output__DM0 CYDEV_IO_PRT_PRT0_DM0
#define TIA_Output__DM1 CYDEV_IO_PRT_PRT0_DM1
#define TIA_Output__DM2 CYDEV_IO_PRT_PRT0_DM2
#define TIA_Output__DR CYDEV_IO_PRT_PRT0_DR
#define TIA_Output__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
#define TIA_Output__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
#define TIA_Output__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
#define TIA_Output__PORT 0
#define TIA_Output__PRT CYDEV_IO_PRT_PRT0_PRT
#define TIA_Output__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
#define TIA_Output__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
#define TIA_Output__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
#define TIA_Output__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
#define TIA_Output__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
#define TIA_Output__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
#define TIA_Output__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
#define TIA_Output__PS CYDEV_IO_PRT_PRT0_PS
#define TIA_Output__SLW CYDEV_IO_PRT_PRT0_SLW

/* TIA_Input */
#define TIA_Input__0__MASK 0x08u
#define TIA_Input__0__PC CYDEV_IO_PC_PRT0_PC3
#define TIA_Input__0__PORT 0
#define TIA_Input__0__SHIFT 3
#define TIA_Input__AG CYDEV_IO_PRT_PRT0_AG
#define TIA_Input__AMUX CYDEV_IO_PRT_PRT0_AMUX
#define TIA_Input__BIE CYDEV_IO_PRT_PRT0_BIE
#define TIA_Input__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
#define TIA_Input__BYP CYDEV_IO_PRT_PRT0_BYP
#define TIA_Input__CTL CYDEV_IO_PRT_PRT0_CTL
#define TIA_Input__DM0 CYDEV_IO_PRT_PRT0_DM0
#define TIA_Input__DM1 CYDEV_IO_PRT_PRT0_DM1
#define TIA_Input__DM2 CYDEV_IO_PRT_PRT0_DM2
#define TIA_Input__DR CYDEV_IO_PRT_PRT0_DR
#define TIA_Input__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
#define TIA_Input__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
#define TIA_Input__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
#define TIA_Input__PORT 0
#define TIA_Input__PRT CYDEV_IO_PRT_PRT0_PRT
#define TIA_Input__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
#define TIA_Input__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
#define TIA_Input__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
#define TIA_Input__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
#define TIA_Input__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
#define TIA_Input__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
#define TIA_Input__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
#define TIA_Input__PS CYDEV_IO_PRT_PRT0_PS
#define TIA_Input__SLW CYDEV_IO_PRT_PRT0_SLW

/* TIA_Sense */
#define TIA_Sense__0__MASK 0x10u
#define TIA_Sense__0__PC CYDEV_IO_PC_PRT0_PC4
#define TIA_Sense__0__PORT 0
#define TIA_Sense__0__SHIFT 4
#define TIA_Sense__AG CYDEV_IO_PRT_PRT0_AG
#define TIA_Sense__AMUX CYDEV_IO_PRT_PRT0_AMUX
#define TIA_Sense__BIE CYDEV_IO_PRT_PRT0_BIE
#define TIA_Sense__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
#define TIA_Sense__BYP CYDEV_IO_PRT_PRT0_BYP
#define TIA_Sense__CTL CYDEV_IO_PRT_PRT0_CTL
#define TIA_Sense__DM0 CYDEV_IO_PRT_PRT0_DM0
#define TIA_Sense__DM1 CYDEV_IO_PRT_PRT0_DM1
#define TIA_Sense__DM2 CYDEV_IO_PRT_PRT0_DM2
#define TIA_Sense__DR CYDEV_IO_PRT_PRT0_DR
#define TIA_Sense__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
#define TIA_Sense__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
#define TIA_Sense__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
#define TIA_Sense__PORT 0
#define TIA_Sense__PRT CYDEV_IO_PRT_PRT0_PRT
#define TIA_Sense__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
#define TIA_Sense__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
#define TIA_Sense__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
#define TIA_Sense__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
#define TIA_Sense__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
#define TIA_Sense__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
#define TIA_Sense__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
#define TIA_Sense__PS CYDEV_IO_PRT_PRT0_PS
#define TIA_Sense__SLW CYDEV_IO_PRT_PRT0_SLW

/* Contrast */
#define Contrast__0__MASK 0x01u
#define Contrast__0__PC CYDEV_IO_PC_PRT5_PC0
#define Contrast__0__PORT 5
#define Contrast__0__SHIFT 0
#define Contrast__AG CYDEV_IO_PRT_PRT5_AG
#define Contrast__AMUX CYDEV_IO_PRT_PRT5_AMUX
#define Contrast__BIE CYDEV_IO_PRT_PRT5_BIE
#define Contrast__BIT_MASK CYDEV_IO_PRT_PRT5_BIT_MASK
#define Contrast__BYP CYDEV_IO_PRT_PRT5_BYP
#define Contrast__CTL CYDEV_IO_PRT_PRT5_CTL
#define Contrast__DM0 CYDEV_IO_PRT_PRT5_DM0
#define Contrast__DM1 CYDEV_IO_PRT_PRT5_DM1
#define Contrast__DM2 CYDEV_IO_PRT_PRT5_DM2
#define Contrast__DR CYDEV_IO_PRT_PRT5_DR
#define Contrast__INP_DIS CYDEV_IO_PRT_PRT5_INP_DIS
#define Contrast__LCD_COM_SEG CYDEV_IO_PRT_PRT5_LCD_COM_SEG
#define Contrast__LCD_EN CYDEV_IO_PRT_PRT5_LCD_EN
#define Contrast__MASK 0x01u
#define Contrast__PORT 5
#define Contrast__PRT CYDEV_IO_PRT_PRT5_PRT
#define Contrast__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT5_CAPS_SEL
#define Contrast__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT5_DBL_SYNC_IN
#define Contrast__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT5_OE_SEL0
#define Contrast__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT5_OE_SEL1
#define Contrast__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT5_OUT_SEL0
#define Contrast__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT5_OUT_SEL1
#define Contrast__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT5_SYNC_OUT
#define Contrast__PS CYDEV_IO_PRT_PRT5_PS
#define Contrast__SHIFT 0
#define Contrast__SLW CYDEV_IO_PRT_PRT5_SLW

/* Drive_in */
#define Drive_in__0__MASK 0x08u
#define Drive_in__0__PC CYDEV_IO_PC_PRT3_PC3
#define Drive_in__0__PORT 3
#define Drive_in__0__SHIFT 3
#define Drive_in__AG CYDEV_IO_PRT_PRT3_AG
#define Drive_in__AMUX CYDEV_IO_PRT_PRT3_AMUX
#define Drive_in__BIE CYDEV_IO_PRT_PRT3_BIE
#define Drive_in__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
#define Drive_in__BYP CYDEV_IO_PRT_PRT3_BYP
#define Drive_in__CTL CYDEV_IO_PRT_PRT3_CTL
#define Drive_in__DM0 CYDEV_IO_PRT_PRT3_DM0
#define Drive_in__DM1 CYDEV_IO_PRT_PRT3_DM1
#define Drive_in__DM2 CYDEV_IO_PRT_PRT3_DM2
#define Drive_in__DR CYDEV_IO_PRT_PRT3_DR
#define Drive_in__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
#define Drive_in__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
#define Drive_in__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
#define Drive_in__PORT 3
#define Drive_in__PRT CYDEV_IO_PRT_PRT3_PRT
#define Drive_in__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
#define Drive_in__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
#define Drive_in__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
#define Drive_in__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
#define Drive_in__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
#define Drive_in__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
#define Drive_in__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
#define Drive_in__PS CYDEV_IO_PRT_PRT3_PS
#define Drive_in__SLW CYDEV_IO_PRT_PRT3_SLW

/* Mixer_SC */
#define Mixer_SC__BST CYDEV_ANAIF_RT_SC0_BST
#define Mixer_SC__CLK CYDEV_ANAIF_RT_SC0_CLK
#define Mixer_SC__CR0 CYDEV_ANAIF_CFG_SC0_CR0
#define Mixer_SC__CR1 CYDEV_ANAIF_CFG_SC0_CR1
#define Mixer_SC__CR2 CYDEV_ANAIF_CFG_SC0_CR2
#define Mixer_SC__MSK CYDEV_ANAIF_WRK_SC_MSK
#define Mixer_SC__PM_ACT_CFG CYDEV_PM_ACT_CFG9
#define Mixer_SC__PM_ACT_MSK 0x01u
#define Mixer_SC__PM_STBY_CFG CYDEV_PM_STBY_CFG9
#define Mixer_SC__PM_STBY_MSK 0x01u
#define Mixer_SC__SR CYDEV_ANAIF_WRK_SC_SR
#define Mixer_SC__SW0 CYDEV_ANAIF_RT_SC0_SW0
#define Mixer_SC__SW10 CYDEV_ANAIF_RT_SC0_SW10
#define Mixer_SC__SW2 CYDEV_ANAIF_RT_SC0_SW2
#define Mixer_SC__SW3 CYDEV_ANAIF_RT_SC0_SW3
#define Mixer_SC__SW4 CYDEV_ANAIF_RT_SC0_SW4
#define Mixer_SC__SW6 CYDEV_ANAIF_RT_SC0_SW6
#define Mixer_SC__SW7 CYDEV_ANAIF_RT_SC0_SW7
#define Mixer_SC__SW8 CYDEV_ANAIF_RT_SC0_SW8

/* TIA_ABuf */
#define TIA_ABuf__CR CYDEV_ANAIF_CFG_ABUF0_CR
#define TIA_ABuf__MX CYDEV_ANAIF_RT_ABUF0_MX
#define TIA_ABuf__NPUMP_ABUF_TR0 CYDEV_MFGCFG_ANAIF_NPUMP_ABUF_TR0
#define TIA_ABuf__PM_ACT_CFG CYDEV_PM_ACT_CFG4
#define TIA_ABuf__PM_ACT_MSK 0x01u
#define TIA_ABuf__PM_STBY_CFG CYDEV_PM_STBY_CFG4
#define TIA_ABuf__PM_STBY_MSK 0x01u
#define TIA_ABuf__RSVD CYDEV_ANAIF_CFG_ABUF0_RSVD
#define TIA_ABuf__SW CYDEV_ANAIF_RT_ABUF0_SW
#define TIA_ABuf__TR0 CYDEV_MFGCFG_ANAIF_ABUF0_TR0
#define TIA_ABuf__TR1 CYDEV_MFGCFG_ANAIF_ABUF0_TR1

/* ADC_DEC */
#define ADC_DEC__COHER CYDEV_DEC_COHER
#define ADC_DEC__CR CYDEV_DEC_CR
#define ADC_DEC__DR1 CYDEV_DEC_DR1
#define ADC_DEC__DR2 CYDEV_DEC_DR2
#define ADC_DEC__DR2H CYDEV_DEC_DR2H
#define ADC_DEC__GCOR CYDEV_DEC_GCOR
#define ADC_DEC__GCORH CYDEV_DEC_GCORH
#define ADC_DEC__GVAL CYDEV_DEC_GVAL
#define ADC_DEC__OCOR CYDEV_DEC_OCOR
#define ADC_DEC__OCORH CYDEV_DEC_OCORH
#define ADC_DEC__OCORM CYDEV_DEC_OCORM
#define ADC_DEC__OUTSAMP CYDEV_DEC_OUTSAMP
#define ADC_DEC__OUTSAMPH CYDEV_DEC_OUTSAMPH
#define ADC_DEC__OUTSAMPM CYDEV_DEC_OUTSAMPM
#define ADC_DEC__OUTSAMPS CYDEV_DEC_OUTSAMPS
#define ADC_DEC__PM_ACT_CFG CYDEV_PM_ACT_CFG10
#define ADC_DEC__PM_ACT_MSK 0x01u
#define ADC_DEC__PM_STBY_CFG CYDEV_PM_STBY_CFG10
#define ADC_DEC__PM_STBY_MSK 0x01u
#define ADC_DEC__SHIFT1 CYDEV_DEC_SHIFT1
#define ADC_DEC__SHIFT2 CYDEV_DEC_SHIFT2
#define ADC_DEC__SR CYDEV_DEC_SR

/* ADC_DSM */
#define ADC_DSM__BUF0 CYDEV_ANAIF_CFG_DSM0_BUF0
#define ADC_DSM__BUF1 CYDEV_ANAIF_CFG_DSM0_BUF1
#define ADC_DSM__BUF2 CYDEV_ANAIF_CFG_DSM0_BUF2
#define ADC_DSM__BUF3 CYDEV_ANAIF_CFG_DSM0_BUF3
#define ADC_DSM__CLK CYDEV_ANAIF_RT_DSM0_CLK
#define ADC_DSM__CR0 CYDEV_ANAIF_CFG_DSM0_CR0
#define ADC_DSM__CR1 CYDEV_ANAIF_CFG_DSM0_CR1
#define ADC_DSM__CR10 CYDEV_ANAIF_CFG_DSM0_CR10
#define ADC_DSM__CR11 CYDEV_ANAIF_CFG_DSM0_CR11
#define ADC_DSM__CR12 CYDEV_ANAIF_CFG_DSM0_CR12
#define ADC_DSM__CR13 CYDEV_ANAIF_CFG_DSM0_CR13
#define ADC_DSM__CR14 CYDEV_ANAIF_CFG_DSM0_CR14
#define ADC_DSM__CR15 CYDEV_ANAIF_CFG_DSM0_CR15
#define ADC_DSM__CR16 CYDEV_ANAIF_CFG_DSM0_CR16
#define ADC_DSM__CR17 CYDEV_ANAIF_CFG_DSM0_CR17
#define ADC_DSM__CR2 CYDEV_ANAIF_CFG_DSM0_CR2
#define ADC_DSM__CR3 CYDEV_ANAIF_CFG_DSM0_CR3
#define ADC_DSM__CR4 CYDEV_ANAIF_CFG_DSM0_CR4
#define ADC_DSM__CR5 CYDEV_ANAIF_CFG_DSM0_CR5
#define ADC_DSM__CR6 CYDEV_ANAIF_CFG_DSM0_CR6
#define ADC_DSM__CR7 CYDEV_ANAIF_CFG_DSM0_CR7
#define ADC_DSM__CR8 CYDEV_ANAIF_CFG_DSM0_CR8
#define ADC_DSM__CR9 CYDEV_ANAIF_CFG_DSM0_CR9
#define ADC_DSM__DEM0 CYDEV_ANAIF_CFG_DSM0_DEM0
#define ADC_DSM__DEM1 CYDEV_ANAIF_CFG_DSM0_DEM1
#define ADC_DSM__MISC CYDEV_ANAIF_CFG_DSM0_MISC
#define ADC_DSM__OUT0 CYDEV_ANAIF_WRK_DSM0_OUT0
#define ADC_DSM__OUT1 CYDEV_ANAIF_WRK_DSM0_OUT1
#define ADC_DSM__REF0 CYDEV_ANAIF_CFG_DSM0_REF0
#define ADC_DSM__REF1 CYDEV_ANAIF_CFG_DSM0_REF1
#define ADC_DSM__REF2 CYDEV_ANAIF_CFG_DSM0_REF2
#define ADC_DSM__REF3 CYDEV_ANAIF_CFG_DSM0_REF3
#define ADC_DSM__RSVD1 CYDEV_ANAIF_CFG_DSM0_RSVD1
#define ADC_DSM__SW0 CYDEV_ANAIF_RT_DSM0_SW0
#define ADC_DSM__SW2 CYDEV_ANAIF_RT_DSM0_SW2
#define ADC_DSM__SW3 CYDEV_ANAIF_RT_DSM0_SW3
#define ADC_DSM__SW4 CYDEV_ANAIF_RT_DSM0_SW4
#define ADC_DSM__SW6 CYDEV_ANAIF_RT_DSM0_SW6
#define ADC_DSM__TR0 CYDEV_MFGCFG_ANAIF_NPUMP_DSM_TR0
#define ADC_DSM__TST0 CYDEV_ANAIF_CFG_DSM0_TST0
#define ADC_DSM__TST1 CYDEV_ANAIF_CFG_DSM0_TST1

/* ADC_IRQ */
#define ADC_IRQ__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define ADC_IRQ__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define ADC_IRQ__INTC_MASK 0x20000000u
#define ADC_IRQ__INTC_NUMBER 29
#define ADC_IRQ__INTC_PRIOR_NUM 7
#define ADC_IRQ__INTC_PRIOR_REG CYDEV_NVIC_PRI_29
#define ADC_IRQ__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define ADC_IRQ__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* Clock_1 */
#define Clock_1__CFG0 CYDEV_CLKDIST_DCFG0_CFG0
#define Clock_1__CFG1 CYDEV_CLKDIST_DCFG0_CFG1
#define Clock_1__CFG2 CYDEV_CLKDIST_DCFG0_CFG2
#define Clock_1__PM_ACT_CFG CYDEV_PM_ACT_CFG2
#define Clock_1__PM_ACT_MSK 0x01u
#define Clock_1__PM_STBY_CFG CYDEV_PM_STBY_CFG2
#define Clock_1__PM_STBY_MSK 0x01u

/* isr_SOC */
#define isr_SOC__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
#define isr_SOC__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
#define isr_SOC__INTC_MASK 0x1000u
#define isr_SOC__INTC_NUMBER 12
#define isr_SOC__INTC_PRIOR_NUM 7
#define isr_SOC__INTC_PRIOR_REG CYDEV_NVIC_PRI_12
#define isr_SOC__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
#define isr_SOC__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* Trigger */
#define Trigger__0__MASK 0x10u
#define Trigger__0__PC CYDEV_IO_PC_PRT12_PC4
#define Trigger__0__PORT 12
#define Trigger__0__SHIFT 4
#define Trigger__AG CYDEV_IO_PRT_PRT12_AG
#define Trigger__BIE CYDEV_IO_PRT_PRT12_BIE
#define Trigger__BIT_MASK CYDEV_IO_PRT_PRT12_BIT_MASK
#define Trigger__BYP CYDEV_IO_PRT_PRT12_BYP
#define Trigger__DM0 CYDEV_IO_PRT_PRT12_DM0
#define Trigger__DM1 CYDEV_IO_PRT_PRT12_DM1
#define Trigger__DM2 CYDEV_IO_PRT_PRT12_DM2
#define Trigger__DR CYDEV_IO_PRT_PRT12_DR
#define Trigger__INP_DIS CYDEV_IO_PRT_PRT12_INP_DIS
#define Trigger__MASK 0x10u
#define Trigger__PORT 12
#define Trigger__PRT CYDEV_IO_PRT_PRT12_PRT
#define Trigger__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT12_DBL_SYNC_IN
#define Trigger__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT12_OE_SEL0
#define Trigger__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT12_OE_SEL1
#define Trigger__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT12_OUT_SEL0
#define Trigger__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT12_OUT_SEL1
#define Trigger__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT12_SYNC_OUT
#define Trigger__PS CYDEV_IO_PRT_PRT12_PS
#define Trigger__SHIFT 4
#define Trigger__SIO_CFG CYDEV_IO_PRT_PRT12_SIO_CFG
#define Trigger__SIO_DIFF CYDEV_IO_PRT_PRT12_SIO_DIFF
#define Trigger__SIO_HYST_EN CYDEV_IO_PRT_PRT12_SIO_HYST_EN
#define Trigger__SIO_REG_HIFREQ CYDEV_IO_PRT_PRT12_SIO_REG_HIFREQ
#define Trigger__SLW CYDEV_IO_PRT_PRT12_SLW

/* Button */
#define Button__0__MASK 0x08u
#define Button__0__PC CYDEV_IO_PC_PRT12_PC3
#define Button__0__PORT 12
#define Button__0__SHIFT 3
#define Button__AG CYDEV_IO_PRT_PRT12_AG
#define Button__BIE CYDEV_IO_PRT_PRT12_BIE
#define Button__BIT_MASK CYDEV_IO_PRT_PRT12_BIT_MASK
#define Button__BYP CYDEV_IO_PRT_PRT12_BYP
#define Button__DM0 CYDEV_IO_PRT_PRT12_DM0
#define Button__DM1 CYDEV_IO_PRT_PRT12_DM1
#define Button__DM2 CYDEV_IO_PRT_PRT12_DM2
#define Button__DR CYDEV_IO_PRT_PRT12_DR
#define Button__INP_DIS CYDEV_IO_PRT_PRT12_INP_DIS
#define Button__MASK 0x08u
#define Button__PORT 12
#define Button__PRT CYDEV_IO_PRT_PRT12_PRT
#define Button__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT12_DBL_SYNC_IN
#define Button__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT12_OE_SEL0
#define Button__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT12_OE_SEL1
#define Button__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT12_OUT_SEL0
#define Button__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT12_OUT_SEL1
#define Button__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT12_SYNC_OUT
#define Button__PS CYDEV_IO_PRT_PRT12_PS
#define Button__SHIFT 3
#define Button__SIO_CFG CYDEV_IO_PRT_PRT12_SIO_CFG
#define Button__SIO_DIFF CYDEV_IO_PRT_PRT12_SIO_DIFF
#define Button__SIO_HYST_EN CYDEV_IO_PRT_PRT12_SIO_HYST_EN
#define Button__SIO_REG_HIFREQ CYDEV_IO_PRT_PRT12_SIO_REG_HIFREQ
#define Button__SLW CYDEV_IO_PRT_PRT12_SLW

/* Rdrive */
#define Rdrive__0__MASK 0x01u
#define Rdrive__0__PC CYDEV_IO_PC_PRT3_PC0
#define Rdrive__0__PORT 3
#define Rdrive__0__SHIFT 0
#define Rdrive__AG CYDEV_IO_PRT_PRT3_AG
#define Rdrive__AMUX CYDEV_IO_PRT_PRT3_AMUX
#define Rdrive__BIE CYDEV_IO_PRT_PRT3_BIE
#define Rdrive__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
#define Rdrive__BYP CYDEV_IO_PRT_PRT3_BYP
#define Rdrive__CTL CYDEV_IO_PRT_PRT3_CTL
#define Rdrive__DM0 CYDEV_IO_PRT_PRT3_DM0
#define Rdrive__DM1 CYDEV_IO_PRT_PRT3_DM1
#define Rdrive__DM2 CYDEV_IO_PRT_PRT3_DM2
#define Rdrive__DR CYDEV_IO_PRT_PRT3_DR
#define Rdrive__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
#define Rdrive__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
#define Rdrive__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
#define Rdrive__PORT 3
#define Rdrive__PRT CYDEV_IO_PRT_PRT3_PRT
#define Rdrive__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
#define Rdrive__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
#define Rdrive__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
#define Rdrive__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
#define Rdrive__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
#define Rdrive__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
#define Rdrive__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
#define Rdrive__PS CYDEV_IO_PRT_PRT3_PS
#define Rdrive__SLW CYDEV_IO_PRT_PRT3_SLW

/* Phase */
#define Phase_ctrl_reg__0__MASK 0x01u
#define Phase_ctrl_reg__0__POS 0
#define Phase_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_ACTL
#define Phase_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
#define Phase_ctrl_reg__16BIT_CONTROL_COUNT_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
#define Phase_ctrl_reg__16BIT_COUNT_CONTROL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
#define Phase_ctrl_reg__16BIT_COUNT_COUNT_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
#define Phase_ctrl_reg__16BIT_MASK_MASK_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
#define Phase_ctrl_reg__16BIT_MASK_PERIOD_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
#define Phase_ctrl_reg__16BIT_PERIOD_MASK_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
#define Phase_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
#define Phase_ctrl_reg__CONTROL_AUX_CTL_REG CYDEV_UWRK_UWRK8_B0_UDB05_ACTL
#define Phase_ctrl_reg__CONTROL_REG CYDEV_UWRK_UWRK8_B0_UDB05_CTL
#define Phase_ctrl_reg__CONTROL_ST_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
#define Phase_ctrl_reg__COUNT_REG CYDEV_UWRK_UWRK8_B0_UDB05_CTL
#define Phase_ctrl_reg__COUNT_ST_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
#define Phase_ctrl_reg__MASK 0x01u
#define Phase_ctrl_reg__MASK_CTL_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_MSK_ACTL
#define Phase_ctrl_reg__PER_CTL_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_MSK_ACTL
#define Phase_ctrl_reg__PERIOD_REG CYDEV_UWRK_UWRK8_B0_UDB05_MSK

/* Miscellaneous */
#define CYDEV_CHIP_REV_PANTHER_ES1 0
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 66000000U
#define BCLK__BUS_CLK__KHZ 66000U
#define BCLK__BUS_CLK__MHZ 66U
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 10
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CONFIGURATION_ECC 0
#define CYDEV_CONFIGURATION_IMOENABLED 0
#define CYDEV_CONFIGURATION_MODE 0
#define CYDEV_DATA_CACHE_ENABLED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYDEV_MFGCFG_MLOGIC_DBG_DBE
#define CYDEV_DEBUGGING_DPS 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_VDDA 5.5
#define CYDEV_VDDD 5.5
#define CYDEV_VIO0 5.5
#define CYDEV_VIO1 5.5
#define CYDEV_VIO2 5.5
#define CYDEV_VIO3 5.5
#define DMA_CHANNELS_USED__MASK0 0x00000400u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
