#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* Clipping_Sense_ctComp */
#define Clipping_Sense_ctComp__CLK CYREG_CMP0_CLK
#define Clipping_Sense_ctComp__CMP_MASK 0x01u
#define Clipping_Sense_ctComp__CMP_NUMBER 0
#define Clipping_Sense_ctComp__CR CYREG_CMP0_CR
#define Clipping_Sense_ctComp__LUT__CR CYREG_LUT0_CR
#define Clipping_Sense_ctComp__LUT__MSK CYREG_LUT_MSK
#define Clipping_Sense_ctComp__LUT__MSK_MASK 0x01u
#define Clipping_Sense_ctComp__LUT__MSK_SHIFT 0
#define Clipping_Sense_ctComp__LUT__MX CYREG_LUT0_MX
#define Clipping_Sense_ctComp__LUT__SR CYREG_LUT_SR
#define Clipping_Sense_ctComp__LUT__SR_MASK 0x01u
#define Clipping_Sense_ctComp__LUT__SR_SHIFT 0
#define Clipping_Sense_ctComp__PM_ACT_CFG CYREG_PM_ACT_CFG7
#define Clipping_Sense_ctComp__PM_ACT_MSK 0x01u
#define Clipping_Sense_ctComp__PM_STBY_CFG CYREG_PM_STBY_CFG7
#define Clipping_Sense_ctComp__PM_STBY_MSK 0x01u
#define Clipping_Sense_ctComp__SW0 CYREG_CMP0_SW0
#define Clipping_Sense_ctComp__SW2 CYREG_CMP0_SW2
#define Clipping_Sense_ctComp__SW3 CYREG_CMP0_SW3
#define Clipping_Sense_ctComp__SW4 CYREG_CMP0_SW4
#define Clipping_Sense_ctComp__SW6 CYREG_CMP0_SW6
#define Clipping_Sense_ctComp__TR0 CYREG_CMP0_TR0
#define Clipping_Sense_ctComp__TR1 CYREG_CMP0_TR1
#define Clipping_Sense_ctComp__TRIM__TR0 CYREG_FLSHID_MFG_CFG_CMP0_TR0
#define Clipping_Sense_ctComp__TRIM__TR0_HS CYREG_FLSHID_CUST_TABLES_CMP0_TR0_HS
#define Clipping_Sense_ctComp__TRIM__TR1 CYREG_FLSHID_MFG_CFG_CMP0_TR1
#define Clipping_Sense_ctComp__TRIM__TR1_HS CYREG_FLSHID_CUST_TABLES_CMP0_TR1_HS
#define Clipping_Sense_ctComp__WRK CYREG_CMP_WRK
#define Clipping_Sense_ctComp__WRK_MASK 0x01u
#define Clipping_Sense_ctComp__WRK_SHIFT 0

/* Quadrature_Clock */
#define Quadrature_Clock__0__MASK 0x20u
#define Quadrature_Clock__0__PC CYREG_PRT12_PC5
#define Quadrature_Clock__0__PORT 12
#define Quadrature_Clock__0__SHIFT 5
#define Quadrature_Clock__AG CYREG_PRT12_AG
#define Quadrature_Clock__BIE CYREG_PRT12_BIE
#define Quadrature_Clock__BIT_MASK CYREG_PRT12_BIT_MASK
#define Quadrature_Clock__BYP CYREG_PRT12_BYP
#define Quadrature_Clock__DM0 CYREG_PRT12_DM0
#define Quadrature_Clock__DM1 CYREG_PRT12_DM1
#define Quadrature_Clock__DM2 CYREG_PRT12_DM2
#define Quadrature_Clock__DR CYREG_PRT12_DR
#define Quadrature_Clock__INP_DIS CYREG_PRT12_INP_DIS
#define Quadrature_Clock__MASK 0x20u
#define Quadrature_Clock__PORT 12
#define Quadrature_Clock__PRT CYREG_PRT12_PRT
#define Quadrature_Clock__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define Quadrature_Clock__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define Quadrature_Clock__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define Quadrature_Clock__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define Quadrature_Clock__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define Quadrature_Clock__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define Quadrature_Clock__PS CYREG_PRT12_PS
#define Quadrature_Clock__SHIFT 5
#define Quadrature_Clock__SIO_CFG CYREG_PRT12_SIO_CFG
#define Quadrature_Clock__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define Quadrature_Clock__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define Quadrature_Clock__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define Quadrature_Clock__SLW CYREG_PRT12_SLW

/* Drive_Sense_P04 */
#define Drive_Sense_P04__0__MASK 0x10u
#define Drive_Sense_P04__0__PC CYREG_PRT0_PC4
#define Drive_Sense_P04__0__PORT 0
#define Drive_Sense_P04__0__SHIFT 4
#define Drive_Sense_P04__AG CYREG_PRT0_AG
#define Drive_Sense_P04__AMUX CYREG_PRT0_AMUX
#define Drive_Sense_P04__BIE CYREG_PRT0_BIE
#define Drive_Sense_P04__BIT_MASK CYREG_PRT0_BIT_MASK
#define Drive_Sense_P04__BYP CYREG_PRT0_BYP
#define Drive_Sense_P04__CTL CYREG_PRT0_CTL
#define Drive_Sense_P04__DM0 CYREG_PRT0_DM0
#define Drive_Sense_P04__DM1 CYREG_PRT0_DM1
#define Drive_Sense_P04__DM2 CYREG_PRT0_DM2
#define Drive_Sense_P04__DR CYREG_PRT0_DR
#define Drive_Sense_P04__INP_DIS CYREG_PRT0_INP_DIS
#define Drive_Sense_P04__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Drive_Sense_P04__LCD_EN CYREG_PRT0_LCD_EN
#define Drive_Sense_P04__PORT 0
#define Drive_Sense_P04__PRT CYREG_PRT0_PRT
#define Drive_Sense_P04__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Drive_Sense_P04__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Drive_Sense_P04__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Drive_Sense_P04__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Drive_Sense_P04__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Drive_Sense_P04__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Drive_Sense_P04__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Drive_Sense_P04__PS CYREG_PRT0_PS
#define Drive_Sense_P04__SLW CYREG_PRT0_SLW

/* ADC_Bypass_P32 */
#define ADC_Bypass_P32__0__MASK 0x04u
#define ADC_Bypass_P32__0__PC CYREG_PRT3_PC2
#define ADC_Bypass_P32__0__PORT 3
#define ADC_Bypass_P32__0__SHIFT 2
#define ADC_Bypass_P32__AG CYREG_PRT3_AG
#define ADC_Bypass_P32__AMUX CYREG_PRT3_AMUX
#define ADC_Bypass_P32__BIE CYREG_PRT3_BIE
#define ADC_Bypass_P32__BIT_MASK CYREG_PRT3_BIT_MASK
#define ADC_Bypass_P32__BYP CYREG_PRT3_BYP
#define ADC_Bypass_P32__CTL CYREG_PRT3_CTL
#define ADC_Bypass_P32__DM0 CYREG_PRT3_DM0
#define ADC_Bypass_P32__DM1 CYREG_PRT3_DM1
#define ADC_Bypass_P32__DM2 CYREG_PRT3_DM2
#define ADC_Bypass_P32__DR CYREG_PRT3_DR
#define ADC_Bypass_P32__INP_DIS CYREG_PRT3_INP_DIS
#define ADC_Bypass_P32__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define ADC_Bypass_P32__LCD_EN CYREG_PRT3_LCD_EN
#define ADC_Bypass_P32__PORT 3
#define ADC_Bypass_P32__PRT CYREG_PRT3_PRT
#define ADC_Bypass_P32__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define ADC_Bypass_P32__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define ADC_Bypass_P32__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define ADC_Bypass_P32__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define ADC_Bypass_P32__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define ADC_Bypass_P32__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define ADC_Bypass_P32__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define ADC_Bypass_P32__PS CYREG_PRT3_PS
#define ADC_Bypass_P32__SLW CYREG_PRT3_SLW

/* ADC_Ext_CP_Clk */
#define ADC_Ext_CP_Clk__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define ADC_Ext_CP_Clk__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define ADC_Ext_CP_Clk__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define ADC_Ext_CP_Clk__CFG2_SRC_SEL_MASK 0x07u
#define ADC_Ext_CP_Clk__INDEX 0x01u
#define ADC_Ext_CP_Clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_Ext_CP_Clk__PM_ACT_MSK 0x02u
#define ADC_Ext_CP_Clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_Ext_CP_Clk__PM_STBY_MSK 0x02u

/* TIA_Output_P00 */
#define TIA_Output_P00__0__MASK 0x01u
#define TIA_Output_P00__0__PC CYREG_PRT0_PC0
#define TIA_Output_P00__0__PORT 0
#define TIA_Output_P00__0__SHIFT 0
#define TIA_Output_P00__AG CYREG_PRT0_AG
#define TIA_Output_P00__AMUX CYREG_PRT0_AMUX
#define TIA_Output_P00__BIE CYREG_PRT0_BIE
#define TIA_Output_P00__BIT_MASK CYREG_PRT0_BIT_MASK
#define TIA_Output_P00__BYP CYREG_PRT0_BYP
#define TIA_Output_P00__CTL CYREG_PRT0_CTL
#define TIA_Output_P00__DM0 CYREG_PRT0_DM0
#define TIA_Output_P00__DM1 CYREG_PRT0_DM1
#define TIA_Output_P00__DM2 CYREG_PRT0_DM2
#define TIA_Output_P00__DR CYREG_PRT0_DR
#define TIA_Output_P00__INP_DIS CYREG_PRT0_INP_DIS
#define TIA_Output_P00__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define TIA_Output_P00__LCD_EN CYREG_PRT0_LCD_EN
#define TIA_Output_P00__PORT 0
#define TIA_Output_P00__PRT CYREG_PRT0_PRT
#define TIA_Output_P00__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define TIA_Output_P00__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define TIA_Output_P00__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define TIA_Output_P00__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define TIA_Output_P00__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define TIA_Output_P00__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define TIA_Output_P00__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define TIA_Output_P00__PS CYREG_PRT0_PS
#define TIA_Output_P00__SLW CYREG_PRT0_SLW

/* ADC_Clock_Ext */
#define ADC_Clock_Ext__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ADC_Clock_Ext__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ADC_Clock_Ext__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ADC_Clock_Ext__CFG2_SRC_SEL_MASK 0x07u
#define ADC_Clock_Ext__INDEX 0x00u
#define ADC_Clock_Ext__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ADC_Clock_Ext__PM_ACT_MSK 0x01u
#define ADC_Clock_Ext__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ADC_Clock_Ext__PM_STBY_MSK 0x01u

/* Divider_PWMHW */
#define Divider_PWMHW__CAP0 CYREG_TMR0_CAP0
#define Divider_PWMHW__CAP1 CYREG_TMR0_CAP1
#define Divider_PWMHW__CFG0 CYREG_TMR0_CFG0
#define Divider_PWMHW__CFG1 CYREG_TMR0_CFG1
#define Divider_PWMHW__CFG2 CYREG_TMR0_CFG2
#define Divider_PWMHW__CNT_CMP0 CYREG_TMR0_CNT_CMP0
#define Divider_PWMHW__CNT_CMP1 CYREG_TMR0_CNT_CMP1
#define Divider_PWMHW__PER0 CYREG_TMR0_PER0
#define Divider_PWMHW__PER1 CYREG_TMR0_PER1
#define Divider_PWMHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define Divider_PWMHW__PM_ACT_MSK 0x01u
#define Divider_PWMHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define Divider_PWMHW__PM_STBY_MSK 0x01u
#define Divider_PWMHW__RT0 CYREG_TMR0_RT0
#define Divider_PWMHW__RT1 CYREG_TMR0_RT1
#define Divider_PWMHW__SR0 CYREG_TMR0_SR0

/* Drive_Out_P01 */
#define Drive_Out_P01__0__MASK 0x02u
#define Drive_Out_P01__0__PC CYREG_PRT0_PC1
#define Drive_Out_P01__0__PORT 0
#define Drive_Out_P01__0__SHIFT 1
#define Drive_Out_P01__AG CYREG_PRT0_AG
#define Drive_Out_P01__AMUX CYREG_PRT0_AMUX
#define Drive_Out_P01__BIE CYREG_PRT0_BIE
#define Drive_Out_P01__BIT_MASK CYREG_PRT0_BIT_MASK
#define Drive_Out_P01__BYP CYREG_PRT0_BYP
#define Drive_Out_P01__CTL CYREG_PRT0_CTL
#define Drive_Out_P01__DM0 CYREG_PRT0_DM0
#define Drive_Out_P01__DM1 CYREG_PRT0_DM1
#define Drive_Out_P01__DM2 CYREG_PRT0_DM2
#define Drive_Out_P01__DR CYREG_PRT0_DR
#define Drive_Out_P01__INP_DIS CYREG_PRT0_INP_DIS
#define Drive_Out_P01__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Drive_Out_P01__LCD_EN CYREG_PRT0_LCD_EN
#define Drive_Out_P01__PORT 0
#define Drive_Out_P01__PRT CYREG_PRT0_PRT
#define Drive_Out_P01__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Drive_Out_P01__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Drive_Out_P01__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Drive_Out_P01__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Drive_Out_P01__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Drive_Out_P01__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Drive_Out_P01__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Drive_Out_P01__PS CYREG_PRT0_PS
#define Drive_Out_P01__SLW CYREG_PRT0_SLW

/* IDrive_viDAC8 */
#define IDrive_viDAC8__CR0 CYREG_DAC0_CR0
#define IDrive_viDAC8__CR1 CYREG_DAC0_CR1
#define IDrive_viDAC8__D CYREG_DAC0_D
#define IDrive_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define IDrive_viDAC8__PM_ACT_MSK 0x01u
#define IDrive_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define IDrive_viDAC8__PM_STBY_MSK 0x01u
#define IDrive_viDAC8__STROBE CYREG_DAC0_STROBE
#define IDrive_viDAC8__SW0 CYREG_DAC0_SW0
#define IDrive_viDAC8__SW2 CYREG_DAC0_SW2
#define IDrive_viDAC8__SW3 CYREG_DAC0_SW3
#define IDrive_viDAC8__SW4 CYREG_DAC0_SW4
#define IDrive_viDAC8__TR CYREG_DAC0_TR
#define IDrive_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC0_M1
#define IDrive_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC0_M2
#define IDrive_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC0_M3
#define IDrive_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC0_M4
#define IDrive_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC0_M5
#define IDrive_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC0_M6
#define IDrive_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC0_M7
#define IDrive_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC0_M8
#define IDrive_viDAC8__TST CYREG_DAC0_TST

/* InPhase_Clock */
#define InPhase_Clock__0__MASK 0x10u
#define InPhase_Clock__0__PC CYREG_PRT12_PC4
#define InPhase_Clock__0__PORT 12
#define InPhase_Clock__0__SHIFT 4
#define InPhase_Clock__AG CYREG_PRT12_AG
#define InPhase_Clock__BIE CYREG_PRT12_BIE
#define InPhase_Clock__BIT_MASK CYREG_PRT12_BIT_MASK
#define InPhase_Clock__BYP CYREG_PRT12_BYP
#define InPhase_Clock__DM0 CYREG_PRT12_DM0
#define InPhase_Clock__DM1 CYREG_PRT12_DM1
#define InPhase_Clock__DM2 CYREG_PRT12_DM2
#define InPhase_Clock__DR CYREG_PRT12_DR
#define InPhase_Clock__INP_DIS CYREG_PRT12_INP_DIS
#define InPhase_Clock__MASK 0x10u
#define InPhase_Clock__PORT 12
#define InPhase_Clock__PRT CYREG_PRT12_PRT
#define InPhase_Clock__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define InPhase_Clock__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define InPhase_Clock__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define InPhase_Clock__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define InPhase_Clock__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define InPhase_Clock__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define InPhase_Clock__PS CYREG_PRT12_PS
#define InPhase_Clock__SHIFT 4
#define InPhase_Clock__SIO_CFG CYREG_PRT12_SIO_CFG
#define InPhase_Clock__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define InPhase_Clock__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define InPhase_Clock__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define InPhase_Clock__SLW CYREG_PRT12_SLW

/* TIA_Input_P05 */
#define TIA_Input_P05__0__MASK 0x20u
#define TIA_Input_P05__0__PC CYREG_PRT0_PC5
#define TIA_Input_P05__0__PORT 0
#define TIA_Input_P05__0__SHIFT 5
#define TIA_Input_P05__AG CYREG_PRT0_AG
#define TIA_Input_P05__AMUX CYREG_PRT0_AMUX
#define TIA_Input_P05__BIE CYREG_PRT0_BIE
#define TIA_Input_P05__BIT_MASK CYREG_PRT0_BIT_MASK
#define TIA_Input_P05__BYP CYREG_PRT0_BYP
#define TIA_Input_P05__CTL CYREG_PRT0_CTL
#define TIA_Input_P05__DM0 CYREG_PRT0_DM0
#define TIA_Input_P05__DM1 CYREG_PRT0_DM1
#define TIA_Input_P05__DM2 CYREG_PRT0_DM2
#define TIA_Input_P05__DR CYREG_PRT0_DR
#define TIA_Input_P05__INP_DIS CYREG_PRT0_INP_DIS
#define TIA_Input_P05__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define TIA_Input_P05__LCD_EN CYREG_PRT0_LCD_EN
#define TIA_Input_P05__PORT 0
#define TIA_Input_P05__PRT CYREG_PRT0_PRT
#define TIA_Input_P05__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define TIA_Input_P05__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define TIA_Input_P05__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define TIA_Input_P05__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define TIA_Input_P05__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define TIA_Input_P05__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define TIA_Input_P05__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define TIA_Input_P05__PS CYREG_PRT0_PS
#define TIA_Input_P05__SLW CYREG_PRT0_SLW

/* TIA_Sense_P07 */
#define TIA_Sense_P07__0__MASK 0x80u
#define TIA_Sense_P07__0__PC CYREG_PRT0_PC7
#define TIA_Sense_P07__0__PORT 0
#define TIA_Sense_P07__0__SHIFT 7
#define TIA_Sense_P07__AG CYREG_PRT0_AG
#define TIA_Sense_P07__AMUX CYREG_PRT0_AMUX
#define TIA_Sense_P07__BIE CYREG_PRT0_BIE
#define TIA_Sense_P07__BIT_MASK CYREG_PRT0_BIT_MASK
#define TIA_Sense_P07__BYP CYREG_PRT0_BYP
#define TIA_Sense_P07__CTL CYREG_PRT0_CTL
#define TIA_Sense_P07__DM0 CYREG_PRT0_DM0
#define TIA_Sense_P07__DM1 CYREG_PRT0_DM1
#define TIA_Sense_P07__DM2 CYREG_PRT0_DM2
#define TIA_Sense_P07__DR CYREG_PRT0_DR
#define TIA_Sense_P07__INP_DIS CYREG_PRT0_INP_DIS
#define TIA_Sense_P07__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define TIA_Sense_P07__LCD_EN CYREG_PRT0_LCD_EN
#define TIA_Sense_P07__PORT 0
#define TIA_Sense_P07__PRT CYREG_PRT0_PRT
#define TIA_Sense_P07__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define TIA_Sense_P07__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define TIA_Sense_P07__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define TIA_Sense_P07__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define TIA_Sense_P07__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define TIA_Sense_P07__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define TIA_Sense_P07__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define TIA_Sense_P07__PS CYREG_PRT0_PS
#define TIA_Sense_P07__SLW CYREG_PRT0_SLW

/* Drive_In_P03 */
#define Drive_In_P03__0__MASK 0x08u
#define Drive_In_P03__0__PC CYREG_PRT0_PC3
#define Drive_In_P03__0__PORT 0
#define Drive_In_P03__0__SHIFT 3
#define Drive_In_P03__AG CYREG_PRT0_AG
#define Drive_In_P03__AMUX CYREG_PRT0_AMUX
#define Drive_In_P03__BIE CYREG_PRT0_BIE
#define Drive_In_P03__BIT_MASK CYREG_PRT0_BIT_MASK
#define Drive_In_P03__BYP CYREG_PRT0_BYP
#define Drive_In_P03__CTL CYREG_PRT0_CTL
#define Drive_In_P03__DM0 CYREG_PRT0_DM0
#define Drive_In_P03__DM1 CYREG_PRT0_DM1
#define Drive_In_P03__DM2 CYREG_PRT0_DM2
#define Drive_In_P03__DR CYREG_PRT0_DR
#define Drive_In_P03__INP_DIS CYREG_PRT0_INP_DIS
#define Drive_In_P03__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Drive_In_P03__LCD_EN CYREG_PRT0_LCD_EN
#define Drive_In_P03__PORT 0
#define Drive_In_P03__PRT CYREG_PRT0_PRT
#define Drive_In_P03__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Drive_In_P03__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Drive_In_P03__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Drive_In_P03__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Drive_In_P03__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Drive_In_P03__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Drive_In_P03__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Drive_In_P03__PS CYREG_PRT0_PS
#define Drive_In_P03__SLW CYREG_PRT0_SLW

/* LED_Clipping */
#define LED_Clipping__0__MASK 0x40u
#define LED_Clipping__0__PC CYREG_PRT1_PC6
#define LED_Clipping__0__PORT 1
#define LED_Clipping__0__SHIFT 6
#define LED_Clipping__AG CYREG_PRT1_AG
#define LED_Clipping__AMUX CYREG_PRT1_AMUX
#define LED_Clipping__BIE CYREG_PRT1_BIE
#define LED_Clipping__BIT_MASK CYREG_PRT1_BIT_MASK
#define LED_Clipping__BYP CYREG_PRT1_BYP
#define LED_Clipping__CTL CYREG_PRT1_CTL
#define LED_Clipping__DM0 CYREG_PRT1_DM0
#define LED_Clipping__DM1 CYREG_PRT1_DM1
#define LED_Clipping__DM2 CYREG_PRT1_DM2
#define LED_Clipping__DR CYREG_PRT1_DR
#define LED_Clipping__INP_DIS CYREG_PRT1_INP_DIS
#define LED_Clipping__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define LED_Clipping__LCD_EN CYREG_PRT1_LCD_EN
#define LED_Clipping__MASK 0x40u
#define LED_Clipping__PORT 1
#define LED_Clipping__PRT CYREG_PRT1_PRT
#define LED_Clipping__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define LED_Clipping__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define LED_Clipping__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define LED_Clipping__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define LED_Clipping__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define LED_Clipping__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define LED_Clipping__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define LED_Clipping__PS CYREG_PRT1_PS
#define LED_Clipping__SHIFT 6
#define LED_Clipping__SLW CYREG_PRT1_SLW

/* Button_Freq */
#define Button_Freq__0__MASK 0x10u
#define Button_Freq__0__PC CYREG_PRT1_PC4
#define Button_Freq__0__PORT 1
#define Button_Freq__0__SHIFT 4
#define Button_Freq__AG CYREG_PRT1_AG
#define Button_Freq__AMUX CYREG_PRT1_AMUX
#define Button_Freq__BIE CYREG_PRT1_BIE
#define Button_Freq__BIT_MASK CYREG_PRT1_BIT_MASK
#define Button_Freq__BYP CYREG_PRT1_BYP
#define Button_Freq__CTL CYREG_PRT1_CTL
#define Button_Freq__DM0 CYREG_PRT1_DM0
#define Button_Freq__DM1 CYREG_PRT1_DM1
#define Button_Freq__DM2 CYREG_PRT1_DM2
#define Button_Freq__DR CYREG_PRT1_DR
#define Button_Freq__INP_DIS CYREG_PRT1_INP_DIS
#define Button_Freq__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define Button_Freq__LCD_EN CYREG_PRT1_LCD_EN
#define Button_Freq__MASK 0x10u
#define Button_Freq__PORT 1
#define Button_Freq__PRT CYREG_PRT1_PRT
#define Button_Freq__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define Button_Freq__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define Button_Freq__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define Button_Freq__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define Button_Freq__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define Button_Freq__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define Button_Freq__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define Button_Freq__PS CYREG_PRT1_PS
#define Button_Freq__SHIFT 4
#define Button_Freq__SLW CYREG_PRT1_SLW

/* Button_Mode */
#define Button_Mode__0__MASK 0x20u
#define Button_Mode__0__PC CYREG_PRT1_PC5
#define Button_Mode__0__PORT 1
#define Button_Mode__0__SHIFT 5
#define Button_Mode__AG CYREG_PRT1_AG
#define Button_Mode__AMUX CYREG_PRT1_AMUX
#define Button_Mode__BIE CYREG_PRT1_BIE
#define Button_Mode__BIT_MASK CYREG_PRT1_BIT_MASK
#define Button_Mode__BYP CYREG_PRT1_BYP
#define Button_Mode__CTL CYREG_PRT1_CTL
#define Button_Mode__DM0 CYREG_PRT1_DM0
#define Button_Mode__DM1 CYREG_PRT1_DM1
#define Button_Mode__DM2 CYREG_PRT1_DM2
#define Button_Mode__DR CYREG_PRT1_DR
#define Button_Mode__INP_DIS CYREG_PRT1_INP_DIS
#define Button_Mode__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define Button_Mode__LCD_EN CYREG_PRT1_LCD_EN
#define Button_Mode__MASK 0x20u
#define Button_Mode__PORT 1
#define Button_Mode__PRT CYREG_PRT1_PRT
#define Button_Mode__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define Button_Mode__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define Button_Mode__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define Button_Mode__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define Button_Mode__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define Button_Mode__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define Button_Mode__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define Button_Mode__PS CYREG_PRT1_PS
#define Button_Mode__SHIFT 5
#define Button_Mode__SLW CYREG_PRT1_SLW

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* Drive_ABuf */
#define Drive_ABuf__CR CYREG_OPAMP0_CR
#define Drive_ABuf__MX CYREG_OPAMP0_MX
#define Drive_ABuf__NPUMP_OPAMP_TR0 CYREG_NPUMP_OPAMP_TR0
#define Drive_ABuf__PM_ACT_CFG CYREG_PM_ACT_CFG4
#define Drive_ABuf__PM_ACT_MSK 0x01u
#define Drive_ABuf__PM_STBY_CFG CYREG_PM_STBY_CFG4
#define Drive_ABuf__PM_STBY_MSK 0x01u
#define Drive_ABuf__RSVD CYREG_OPAMP0_RSVD
#define Drive_ABuf__SW CYREG_OPAMP0_SW
#define Drive_ABuf__TR0 CYREG_OPAMP0_TR0
#define Drive_ABuf__TR1 CYREG_OPAMP0_TR1

/* Idrive_P06 */
#define Idrive_P06__0__MASK 0x40u
#define Idrive_P06__0__PC CYREG_PRT0_PC6
#define Idrive_P06__0__PORT 0
#define Idrive_P06__0__SHIFT 6
#define Idrive_P06__AG CYREG_PRT0_AG
#define Idrive_P06__AMUX CYREG_PRT0_AMUX
#define Idrive_P06__BIE CYREG_PRT0_BIE
#define Idrive_P06__BIT_MASK CYREG_PRT0_BIT_MASK
#define Idrive_P06__BYP CYREG_PRT0_BYP
#define Idrive_P06__CTL CYREG_PRT0_CTL
#define Idrive_P06__DM0 CYREG_PRT0_DM0
#define Idrive_P06__DM1 CYREG_PRT0_DM1
#define Idrive_P06__DM2 CYREG_PRT0_DM2
#define Idrive_P06__DR CYREG_PRT0_DR
#define Idrive_P06__INP_DIS CYREG_PRT0_INP_DIS
#define Idrive_P06__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Idrive_P06__LCD_EN CYREG_PRT0_LCD_EN
#define Idrive_P06__PORT 0
#define Idrive_P06__PRT CYREG_PRT0_PRT
#define Idrive_P06__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Idrive_P06__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Idrive_P06__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Idrive_P06__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Idrive_P06__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Idrive_P06__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Idrive_P06__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Idrive_P06__PS CYREG_PRT0_PS
#define Idrive_P06__SLW CYREG_PRT0_SLW

/* Status_Reg */
#define Status_Reg_sts_reg__0__MASK 0x01u
#define Status_Reg_sts_reg__0__POS 0
#define Status_Reg_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define Status_Reg_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB10_11_ST
#define Status_Reg_sts_reg__MASK 0x01u
#define Status_Reg_sts_reg__MASK_REG CYREG_B0_UDB10_MSK
#define Status_Reg_sts_reg__MASK_ST_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define Status_Reg_sts_reg__PER_ST_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define Status_Reg_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define Status_Reg_sts_reg__STATUS_CNT_REG CYREG_B0_UDB10_ST_CTL
#define Status_Reg_sts_reg__STATUS_CONTROL_REG CYREG_B0_UDB10_ST_CTL
#define Status_Reg_sts_reg__STATUS_REG CYREG_B0_UDB10_ST

/* ADC_DSM4 */
#define ADC_DSM4__BUF0 CYREG_DSM0_BUF0
#define ADC_DSM4__BUF1 CYREG_DSM0_BUF1
#define ADC_DSM4__BUF2 CYREG_DSM0_BUF2
#define ADC_DSM4__BUF3 CYREG_DSM0_BUF3
#define ADC_DSM4__CLK CYREG_DSM0_CLK
#define ADC_DSM4__CR0 CYREG_DSM0_CR0
#define ADC_DSM4__CR1 CYREG_DSM0_CR1
#define ADC_DSM4__CR10 CYREG_DSM0_CR10
#define ADC_DSM4__CR11 CYREG_DSM0_CR11
#define ADC_DSM4__CR12 CYREG_DSM0_CR12
#define ADC_DSM4__CR13 CYREG_DSM0_CR13
#define ADC_DSM4__CR14 CYREG_DSM0_CR14
#define ADC_DSM4__CR15 CYREG_DSM0_CR15
#define ADC_DSM4__CR16 CYREG_DSM0_CR16
#define ADC_DSM4__CR17 CYREG_DSM0_CR17
#define ADC_DSM4__CR2 CYREG_DSM0_CR2
#define ADC_DSM4__CR3 CYREG_DSM0_CR3
#define ADC_DSM4__CR4 CYREG_DSM0_CR4
#define ADC_DSM4__CR5 CYREG_DSM0_CR5
#define ADC_DSM4__CR6 CYREG_DSM0_CR6
#define ADC_DSM4__CR7 CYREG_DSM0_CR7
#define ADC_DSM4__CR8 CYREG_DSM0_CR8
#define ADC_DSM4__CR9 CYREG_DSM0_CR9
#define ADC_DSM4__DEM0 CYREG_DSM0_DEM0
#define ADC_DSM4__DEM1 CYREG_DSM0_DEM1
#define ADC_DSM4__MISC CYREG_DSM0_MISC
#define ADC_DSM4__OUT0 CYREG_DSM0_OUT0
#define ADC_DSM4__OUT1 CYREG_DSM0_OUT1
#define ADC_DSM4__REF0 CYREG_DSM0_REF0
#define ADC_DSM4__REF1 CYREG_DSM0_REF1
#define ADC_DSM4__REF2 CYREG_DSM0_REF2
#define ADC_DSM4__REF3 CYREG_DSM0_REF3
#define ADC_DSM4__RSVD1 CYREG_DSM0_RSVD1
#define ADC_DSM4__SW0 CYREG_DSM0_SW0
#define ADC_DSM4__SW2 CYREG_DSM0_SW2
#define ADC_DSM4__SW3 CYREG_DSM0_SW3
#define ADC_DSM4__SW4 CYREG_DSM0_SW4
#define ADC_DSM4__SW6 CYREG_DSM0_SW6
#define ADC_DSM4__TR0 CYREG_NPUMP_DSM_TR0
#define ADC_DSM4__TST0 CYREG_DSM0_TST0
#define ADC_DSM4__TST1 CYREG_DSM0_TST1

/* Sine_DMA */
#define Sine_DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL0
#define Sine_DMA__DRQ_NUMBER 0
#define Sine_DMA__NUMBEROF_TDS 0
#define Sine_DMA__PRIORITY 2
#define Sine_DMA__TERMIN_EN 0
#define Sine_DMA__TERMIN_SEL 0
#define Sine_DMA__TERMOUT0_EN 1
#define Sine_DMA__TERMOUT0_SEL 0
#define Sine_DMA__TERMOUT1_EN 0
#define Sine_DMA__TERMOUT1_SEL 0

/* TIA_ABuf */
#define TIA_ABuf__CR CYREG_OPAMP2_CR
#define TIA_ABuf__MX CYREG_OPAMP2_MX
#define TIA_ABuf__NPUMP_OPAMP_TR0 CYREG_NPUMP_OPAMP_TR0
#define TIA_ABuf__PM_ACT_CFG CYREG_PM_ACT_CFG4
#define TIA_ABuf__PM_ACT_MSK 0x04u
#define TIA_ABuf__PM_STBY_CFG CYREG_PM_STBY_CFG4
#define TIA_ABuf__PM_STBY_MSK 0x04u
#define TIA_ABuf__RSVD CYREG_OPAMP2_RSVD
#define TIA_ABuf__SW CYREG_OPAMP2_SW
#define TIA_ABuf__TR0 CYREG_OPAMP2_TR0
#define TIA_ABuf__TR1 CYREG_OPAMP2_TR1

/* ADC_DEC */
#define ADC_DEC__COHER CYREG_DEC_COHER
#define ADC_DEC__CR CYREG_DEC_CR
#define ADC_DEC__DR1 CYREG_DEC_DR1
#define ADC_DEC__DR2 CYREG_DEC_DR2
#define ADC_DEC__DR2H CYREG_DEC_DR2H
#define ADC_DEC__GCOR CYREG_DEC_GCOR
#define ADC_DEC__GCORH CYREG_DEC_GCORH
#define ADC_DEC__GVAL CYREG_DEC_GVAL
#define ADC_DEC__OCOR CYREG_DEC_OCOR
#define ADC_DEC__OCORH CYREG_DEC_OCORH
#define ADC_DEC__OCORM CYREG_DEC_OCORM
#define ADC_DEC__OUTSAMP CYREG_DEC_OUTSAMP
#define ADC_DEC__OUTSAMPH CYREG_DEC_OUTSAMPH
#define ADC_DEC__OUTSAMPM CYREG_DEC_OUTSAMPM
#define ADC_DEC__OUTSAMPS CYREG_DEC_OUTSAMPS
#define ADC_DEC__PM_ACT_CFG CYREG_PM_ACT_CFG10
#define ADC_DEC__PM_ACT_MSK 0x01u
#define ADC_DEC__PM_STBY_CFG CYREG_PM_STBY_CFG10
#define ADC_DEC__PM_STBY_MSK 0x01u
#define ADC_DEC__SHIFT1 CYREG_DEC_SHIFT1
#define ADC_DEC__SHIFT2 CYREG_DEC_SHIFT2
#define ADC_DEC__SR CYREG_DEC_SR
#define ADC_DEC__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DEC_M1
#define ADC_DEC__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DEC_M2
#define ADC_DEC__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DEC_M3
#define ADC_DEC__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DEC_M4
#define ADC_DEC__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DEC_M5
#define ADC_DEC__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DEC_M6
#define ADC_DEC__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DEC_M7
#define ADC_DEC__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DEC_M8

/* ADC_IRQ */
#define ADC_IRQ__ES2_PATCH 0
#define ADC_IRQ__INTC_CLR_EN_REG CYREG_INTC_CLR_EN3
#define ADC_IRQ__INTC_CLR_PD_REG CYREG_INTC_CLR_PD3
#define ADC_IRQ__INTC_MASK 0x20u
#define ADC_IRQ__INTC_NUMBER 29
#define ADC_IRQ__INTC_PRIOR_NUM 7
#define ADC_IRQ__INTC_PRIOR_REG CYREG_INTC_PRIOR29
#define ADC_IRQ__INTC_SET_EN_REG CYREG_INTC_SET_EN3
#define ADC_IRQ__INTC_SET_PD_REG CYREG_INTC_SET_PD3
#define ADC_IRQ__INTC_VECT (CYREG_INTC_VECT_MBASE+0x3Au)

/* Trigger */
#define Trigger__0__MASK 0x40u
#define Trigger__0__PC CYREG_PRT12_PC6
#define Trigger__0__PORT 12
#define Trigger__0__SHIFT 6
#define Trigger__AG CYREG_PRT12_AG
#define Trigger__BIE CYREG_PRT12_BIE
#define Trigger__BIT_MASK CYREG_PRT12_BIT_MASK
#define Trigger__BYP CYREG_PRT12_BYP
#define Trigger__DM0 CYREG_PRT12_DM0
#define Trigger__DM1 CYREG_PRT12_DM1
#define Trigger__DM2 CYREG_PRT12_DM2
#define Trigger__DR CYREG_PRT12_DR
#define Trigger__INP_DIS CYREG_PRT12_INP_DIS
#define Trigger__MASK 0x40u
#define Trigger__PORT 12
#define Trigger__PRT CYREG_PRT12_PRT
#define Trigger__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define Trigger__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define Trigger__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define Trigger__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define Trigger__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define Trigger__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define Trigger__PS CYREG_PRT12_PS
#define Trigger__SHIFT 6
#define Trigger__SIO_CFG CYREG_PRT12_SIO_CFG
#define Trigger__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define Trigger__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define Trigger__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define Trigger__SLW CYREG_PRT12_SLW

/* SOC_Go */
#define SOC_Go_ctrl_reg__0__MASK 0x01u
#define SOC_Go_ctrl_reg__0__POS 0
#define SOC_Go_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB10_11_ACTL
#define SOC_Go_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB10_11_CTL
#define SOC_Go_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB10_11_CTL
#define SOC_Go_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB10_11_CTL
#define SOC_Go_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB10_11_CTL
#define SOC_Go_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB10_11_MSK
#define SOC_Go_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB10_11_MSK
#define SOC_Go_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB10_11_MSK
#define SOC_Go_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB10_11_MSK
#define SOC_Go_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB10_ACTL
#define SOC_Go_ctrl_reg__CONTROL_REG CYREG_B0_UDB10_CTL
#define SOC_Go_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB10_ST_CTL
#define SOC_Go_ctrl_reg__COUNT_REG CYREG_B0_UDB10_CTL
#define SOC_Go_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB10_ST_CTL
#define SOC_Go_ctrl_reg__MASK 0x01u
#define SOC_Go_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL
#define SOC_Go_ctrl_reg__PERIOD_REG CYREG_B0_UDB10_MSK
#define SOC_Go_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB10_MSK_ACTL

/* Phase */
#define Phase_ctrl_reg__0__MASK 0x01u
#define Phase_ctrl_reg__0__POS 0
#define Phase_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB12_13_ACTL
#define Phase_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB12_13_CTL
#define Phase_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB12_13_CTL
#define Phase_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB12_13_CTL
#define Phase_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB12_13_CTL
#define Phase_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB12_13_MSK
#define Phase_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB12_13_MSK
#define Phase_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB12_13_MSK
#define Phase_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB12_13_MSK
#define Phase_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB12_ACTL
#define Phase_ctrl_reg__CONTROL_REG CYREG_B0_UDB12_CTL
#define Phase_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB12_ST_CTL
#define Phase_ctrl_reg__COUNT_REG CYREG_B0_UDB12_CTL
#define Phase_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB12_ST_CTL
#define Phase_ctrl_reg__MASK 0x01u
#define Phase_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL
#define Phase_ctrl_reg__PERIOD_REG CYREG_B0_UDB12_MSK
#define Phase_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB12_MSK_ACTL

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_LEOPARD
#define BCLK__BUS_CLK__HZ 66000000U
#define BCLK__BUS_CLK__KHZ 66000U
#define BCLK__BUS_CLK__MHZ 66U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_PSOC5LP 3
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC4 2
#define CYDEV_CHIP_FAMILY_PSOC5 3
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC3
#define CYDEV_CHIP_JTAG_ID 0x1E028069
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_MEMBER_5B 3
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_3A
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1
#define CYDEV_CHIP_REVISION_5B_ES0 0
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_3A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_LEOPARD_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0
#define CYDEV_CONFIGURATION_CLEAR_SRAM 1
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 0
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DMA_CHANNELS_AVAILABLE 24
#define CYDEV_ECC_ENABLE 0
#define CYDEV_INSTRUCT_CACHE_ENABLED 0
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_VDDA 5.5
#define CYDEV_VDDA_MV 5500
#define CYDEV_VDDD 5.5
#define CYDEV_VDDD_MV 5500
#define CYDEV_VDDIO0 5.5
#define CYDEV_VDDIO0_MV 5500
#define CYDEV_VDDIO1 5.5
#define CYDEV_VDDIO1_MV 5500
#define CYDEV_VDDIO2 5.5
#define CYDEV_VDDIO2_MV 5500
#define CYDEV_VDDIO3 5.5
#define CYDEV_VDDIO3_MV 5500
#define CYDEV_VIO0 5.5
#define CYDEV_VIO0_MV 5500
#define CYDEV_VIO1 5.5
#define CYDEV_VIO1_MV 5500
#define CYDEV_VIO2 5.5
#define CYDEV_VIO2_MV 5500
#define CYDEV_VIO3 5.5
#define CYDEV_VIO3_MV 5500
#define DMA_CHANNELS_USED__MASK0 0x00000001u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
