.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu.inc"

/* Excitation_Drive_ABuf */
.set Excitation_Drive_ABuf__CR CYDEV_ANAIF_CFG_ABUF3_CR
.set Excitation_Drive_ABuf__MX CYDEV_ANAIF_RT_ABUF3_MX
.set Excitation_Drive_ABuf__NPUMP_ABUF_TR0 CYDEV_MFGCFG_ANAIF_NPUMP_ABUF_TR0
.set Excitation_Drive_ABuf__PM_ACT_CFG CYDEV_PM_ACT_CFG4
.set Excitation_Drive_ABuf__PM_ACT_MSK 0x08
.set Excitation_Drive_ABuf__PM_STBY_CFG CYDEV_PM_STBY_CFG4
.set Excitation_Drive_ABuf__PM_STBY_MSK 0x08
.set Excitation_Drive_ABuf__RSVD CYDEV_ANAIF_CFG_ABUF3_RSVD
.set Excitation_Drive_ABuf__SW CYDEV_ANAIF_RT_ABUF3_SW
.set Excitation_Drive_ABuf__TR0 CYDEV_MFGCFG_ANAIF_ABUF3_TR0
.set Excitation_Drive_ABuf__TR1 CYDEV_MFGCFG_ANAIF_ABUF3_TR1

/* Agnd_Buffer_ABuf */
.set Agnd_Buffer_ABuf__CR CYDEV_ANAIF_CFG_ABUF1_CR
.set Agnd_Buffer_ABuf__MX CYDEV_ANAIF_RT_ABUF1_MX
.set Agnd_Buffer_ABuf__NPUMP_ABUF_TR0 CYDEV_MFGCFG_ANAIF_NPUMP_ABUF_TR0
.set Agnd_Buffer_ABuf__PM_ACT_CFG CYDEV_PM_ACT_CFG4
.set Agnd_Buffer_ABuf__PM_ACT_MSK 0x02
.set Agnd_Buffer_ABuf__PM_STBY_CFG CYDEV_PM_STBY_CFG4
.set Agnd_Buffer_ABuf__PM_STBY_MSK 0x02
.set Agnd_Buffer_ABuf__RSVD CYDEV_ANAIF_CFG_ABUF1_RSVD
.set Agnd_Buffer_ABuf__SW CYDEV_ANAIF_RT_ABUF1_SW
.set Agnd_Buffer_ABuf__TR0 CYDEV_MFGCFG_ANAIF_ABUF1_TR0
.set Agnd_Buffer_ABuf__TR1 CYDEV_MFGCFG_ANAIF_ABUF1_TR1

/* Excitation_Sense */
.set Excitation_Sense__0__MASK 0x40
.set Excitation_Sense__0__PC CYDEV_IO_PC_PRT0_PC6
.set Excitation_Sense__0__PORT 0
.set Excitation_Sense__0__SHIFT 6
.set Excitation_Sense__AG CYDEV_IO_PRT_PRT0_AG
.set Excitation_Sense__AMUX CYDEV_IO_PRT_PRT0_AMUX
.set Excitation_Sense__BIE CYDEV_IO_PRT_PRT0_BIE
.set Excitation_Sense__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
.set Excitation_Sense__BYP CYDEV_IO_PRT_PRT0_BYP
.set Excitation_Sense__CTL CYDEV_IO_PRT_PRT0_CTL
.set Excitation_Sense__DM0 CYDEV_IO_PRT_PRT0_DM0
.set Excitation_Sense__DM1 CYDEV_IO_PRT_PRT0_DM1
.set Excitation_Sense__DM2 CYDEV_IO_PRT_PRT0_DM2
.set Excitation_Sense__DR CYDEV_IO_PRT_PRT0_DR
.set Excitation_Sense__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
.set Excitation_Sense__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
.set Excitation_Sense__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
.set Excitation_Sense__PORT 0
.set Excitation_Sense__PRT CYDEV_IO_PRT_PRT0_PRT
.set Excitation_Sense__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
.set Excitation_Sense__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
.set Excitation_Sense__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
.set Excitation_Sense__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
.set Excitation_Sense__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
.set Excitation_Sense__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
.set Excitation_Sense__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
.set Excitation_Sense__PS CYDEV_IO_PRT_PRT0_PS
.set Excitation_Sense__SLW CYDEV_IO_PRT_PRT0_SLW

/* ADC_Bypass_P32 */
.set ADC_Bypass_P32__0__MASK 0x04
.set ADC_Bypass_P32__0__PC CYDEV_IO_PC_PRT3_PC2
.set ADC_Bypass_P32__0__PORT 3
.set ADC_Bypass_P32__0__SHIFT 2
.set ADC_Bypass_P32__AG CYDEV_IO_PRT_PRT3_AG
.set ADC_Bypass_P32__AMUX CYDEV_IO_PRT_PRT3_AMUX
.set ADC_Bypass_P32__BIE CYDEV_IO_PRT_PRT3_BIE
.set ADC_Bypass_P32__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
.set ADC_Bypass_P32__BYP CYDEV_IO_PRT_PRT3_BYP
.set ADC_Bypass_P32__Bypass_P32__MASK 0x04
.set ADC_Bypass_P32__Bypass_P32__PC CYDEV_IO_PC_PRT3_PC2
.set ADC_Bypass_P32__Bypass_P32__PORT 3
.set ADC_Bypass_P32__Bypass_P32__SHIFT 2
.set ADC_Bypass_P32__CTL CYDEV_IO_PRT_PRT3_CTL
.set ADC_Bypass_P32__DM0 CYDEV_IO_PRT_PRT3_DM0
.set ADC_Bypass_P32__DM1 CYDEV_IO_PRT_PRT3_DM1
.set ADC_Bypass_P32__DM2 CYDEV_IO_PRT_PRT3_DM2
.set ADC_Bypass_P32__DR CYDEV_IO_PRT_PRT3_DR
.set ADC_Bypass_P32__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
.set ADC_Bypass_P32__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
.set ADC_Bypass_P32__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
.set ADC_Bypass_P32__PORT 3
.set ADC_Bypass_P32__PRT CYDEV_IO_PRT_PRT3_PRT
.set ADC_Bypass_P32__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
.set ADC_Bypass_P32__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
.set ADC_Bypass_P32__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
.set ADC_Bypass_P32__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
.set ADC_Bypass_P32__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
.set ADC_Bypass_P32__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
.set ADC_Bypass_P32__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
.set ADC_Bypass_P32__PS CYDEV_IO_PRT_PRT3_PS
.set ADC_Bypass_P32__SLW CYDEV_IO_PRT_PRT3_SLW

/* IExcite_viDAC8 */
.set IExcite_viDAC8__CR0 CYDEV_ANAIF_CFG_DAC1_CR0
.set IExcite_viDAC8__CR1 CYDEV_ANAIF_CFG_DAC1_CR1
.set IExcite_viDAC8__D CYDEV_ANAIF_WRK_DAC1_D
.set IExcite_viDAC8__PM_ACT_CFG CYDEV_PM_ACT_CFG8
.set IExcite_viDAC8__PM_ACT_MSK 0x02
.set IExcite_viDAC8__PM_STBY_CFG CYDEV_PM_STBY_CFG8
.set IExcite_viDAC8__PM_STBY_MSK 0x02
.set IExcite_viDAC8__STROBE CYDEV_ANAIF_RT_DAC1_STROBE
.set IExcite_viDAC8__SW0 CYDEV_ANAIF_RT_DAC1_SW0
.set IExcite_viDAC8__SW2 CYDEV_ANAIF_RT_DAC1_SW2
.set IExcite_viDAC8__SW3 CYDEV_ANAIF_RT_DAC1_SW3
.set IExcite_viDAC8__SW4 CYDEV_ANAIF_RT_DAC1_SW4
.set IExcite_viDAC8__TR CYDEV_MFGCFG_ANAIF_DAC1_TR
.set IExcite_viDAC8__TST CYDEV_ANAIF_CFG_DAC1_TST

/* Divider_PWMHW */
.set Divider_PWMHW__CAP0 CYDEV_TMR0_CAP0
.set Divider_PWMHW__CAP1 CYDEV_TMR0_CAP1
.set Divider_PWMHW__CFG0 CYDEV_TMR0_CFG0
.set Divider_PWMHW__CFG1 CYDEV_TMR0_CFG1
.set Divider_PWMHW__CNT_CMP0 CYDEV_TMR0_CNT_CMP0
.set Divider_PWMHW__CNT_CMP1 CYDEV_TMR0_CNT_CMP1
.set Divider_PWMHW__PER0 CYDEV_TMR0_PER0
.set Divider_PWMHW__PER1 CYDEV_TMR0_PER1
.set Divider_PWMHW__PM_ACT_CFG CYDEV_PM_ACT_CFG3
.set Divider_PWMHW__PM_ACT_MSK 0x01
.set Divider_PWMHW__PM_STBY_CFG CYDEV_PM_STBY_CFG3
.set Divider_PWMHW__PM_STBY_MSK 0x01
.set Divider_PWMHW__RT0 CYDEV_TMR0_RT0
.set Divider_PWMHW__RT1 CYDEV_TMR0_RT1
.set Divider_PWMHW__SR0 CYDEV_TMR0_SR0

/* ADC_theACLK */
.set ADC_theACLK__CFG0 CYDEV_CLKDIST_ACFG0_CFG0
.set ADC_theACLK__CFG1 CYDEV_CLKDIST_ACFG0_CFG1
.set ADC_theACLK__CFG2 CYDEV_CLKDIST_ACFG0_CFG2
.set ADC_theACLK__CFG3 CYDEV_CLKDIST_ACFG0_CFG3
.set ADC_theACLK__PM_ACT_CFG CYDEV_PM_ACT_CFG1
.set ADC_theACLK__PM_ACT_MSK 0x01
.set ADC_theACLK__PM_STBY_CFG CYDEV_PM_STBY_CFG1
.set ADC_theACLK__PM_STBY_MSK 0x01

/* Agnd_viDAC8 */
.set Agnd_viDAC8__CR0 CYDEV_ANAIF_CFG_DAC3_CR0
.set Agnd_viDAC8__CR1 CYDEV_ANAIF_CFG_DAC3_CR1
.set Agnd_viDAC8__D CYDEV_ANAIF_WRK_DAC3_D
.set Agnd_viDAC8__PM_ACT_CFG CYDEV_PM_ACT_CFG8
.set Agnd_viDAC8__PM_ACT_MSK 0x08
.set Agnd_viDAC8__PM_STBY_CFG CYDEV_PM_STBY_CFG8
.set Agnd_viDAC8__PM_STBY_MSK 0x08
.set Agnd_viDAC8__STROBE CYDEV_ANAIF_RT_DAC3_STROBE
.set Agnd_viDAC8__SW0 CYDEV_ANAIF_RT_DAC3_SW0
.set Agnd_viDAC8__SW2 CYDEV_ANAIF_RT_DAC3_SW2
.set Agnd_viDAC8__SW3 CYDEV_ANAIF_RT_DAC3_SW3
.set Agnd_viDAC8__SW4 CYDEV_ANAIF_RT_DAC3_SW4
.set Agnd_viDAC8__TR CYDEV_MFGCFG_ANAIF_DAC3_TR
.set Agnd_viDAC8__TST CYDEV_ANAIF_CFG_DAC3_TST

/* LCD_LCDPort */
.set LCD_LCDPort__0__MASK 0x01
.set LCD_LCDPort__0__PC CYDEV_IO_PC_PRT2_PC0
.set LCD_LCDPort__0__PORT 2
.set LCD_LCDPort__0__SHIFT 0
.set LCD_LCDPort__1__MASK 0x02
.set LCD_LCDPort__1__PC CYDEV_IO_PC_PRT2_PC1
.set LCD_LCDPort__1__PORT 2
.set LCD_LCDPort__1__SHIFT 1
.set LCD_LCDPort__2__MASK 0x04
.set LCD_LCDPort__2__PC CYDEV_IO_PC_PRT2_PC2
.set LCD_LCDPort__2__PORT 2
.set LCD_LCDPort__2__SHIFT 2
.set LCD_LCDPort__3__MASK 0x08
.set LCD_LCDPort__3__PC CYDEV_IO_PC_PRT2_PC3
.set LCD_LCDPort__3__PORT 2
.set LCD_LCDPort__3__SHIFT 3
.set LCD_LCDPort__4__MASK 0x10
.set LCD_LCDPort__4__PC CYDEV_IO_PC_PRT2_PC4
.set LCD_LCDPort__4__PORT 2
.set LCD_LCDPort__4__SHIFT 4
.set LCD_LCDPort__5__MASK 0x20
.set LCD_LCDPort__5__PC CYDEV_IO_PC_PRT2_PC5
.set LCD_LCDPort__5__PORT 2
.set LCD_LCDPort__5__SHIFT 5
.set LCD_LCDPort__6__MASK 0x40
.set LCD_LCDPort__6__PC CYDEV_IO_PC_PRT2_PC6
.set LCD_LCDPort__6__PORT 2
.set LCD_LCDPort__6__SHIFT 6
.set LCD_LCDPort__AG CYDEV_IO_PRT_PRT2_AG
.set LCD_LCDPort__AMUX CYDEV_IO_PRT_PRT2_AMUX
.set LCD_LCDPort__BIE CYDEV_IO_PRT_PRT2_BIE
.set LCD_LCDPort__BIT_MASK CYDEV_IO_PRT_PRT2_BIT_MASK
.set LCD_LCDPort__BYP CYDEV_IO_PRT_PRT2_BYP
.set LCD_LCDPort__CTL CYDEV_IO_PRT_PRT2_CTL
.set LCD_LCDPort__DM0 CYDEV_IO_PRT_PRT2_DM0
.set LCD_LCDPort__DM1 CYDEV_IO_PRT_PRT2_DM1
.set LCD_LCDPort__DM2 CYDEV_IO_PRT_PRT2_DM2
.set LCD_LCDPort__DR CYDEV_IO_PRT_PRT2_DR
.set LCD_LCDPort__INP_DIS CYDEV_IO_PRT_PRT2_INP_DIS
.set LCD_LCDPort__LCD_COM_SEG CYDEV_IO_PRT_PRT2_LCD_COM_SEG
.set LCD_LCDPort__LCD_EN CYDEV_IO_PRT_PRT2_LCD_EN
.set LCD_LCDPort__MASK 0x7F
.set LCD_LCDPort__PORT 2
.set LCD_LCDPort__PRT CYDEV_IO_PRT_PRT2_PRT
.set LCD_LCDPort__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT2_CAPS_SEL
.set LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT2_DBL_SYNC_IN
.set LCD_LCDPort__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT2_OE_SEL0
.set LCD_LCDPort__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT2_OE_SEL1
.set LCD_LCDPort__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT2_OUT_SEL0
.set LCD_LCDPort__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT2_OUT_SEL1
.set LCD_LCDPort__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT2_SYNC_OUT
.set LCD_LCDPort__PS CYDEV_IO_PRT_PRT2_PS
.set LCD_LCDPort__SHIFT 0
.set LCD_LCDPort__SLW CYDEV_IO_PRT_PRT2_SLW

/* Agnd_Drive */
.set Agnd_Drive__0__MASK 0x40
.set Agnd_Drive__0__PC CYDEV_IO_PC_PRT3_PC6
.set Agnd_Drive__0__PORT 3
.set Agnd_Drive__0__SHIFT 6
.set Agnd_Drive__AG CYDEV_IO_PRT_PRT3_AG
.set Agnd_Drive__AMUX CYDEV_IO_PRT_PRT3_AMUX
.set Agnd_Drive__BIE CYDEV_IO_PRT_PRT3_BIE
.set Agnd_Drive__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
.set Agnd_Drive__BYP CYDEV_IO_PRT_PRT3_BYP
.set Agnd_Drive__CTL CYDEV_IO_PRT_PRT3_CTL
.set Agnd_Drive__DM0 CYDEV_IO_PRT_PRT3_DM0
.set Agnd_Drive__DM1 CYDEV_IO_PRT_PRT3_DM1
.set Agnd_Drive__DM2 CYDEV_IO_PRT_PRT3_DM2
.set Agnd_Drive__DR CYDEV_IO_PRT_PRT3_DR
.set Agnd_Drive__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
.set Agnd_Drive__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
.set Agnd_Drive__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
.set Agnd_Drive__PORT 3
.set Agnd_Drive__PRT CYDEV_IO_PRT_PRT3_PRT
.set Agnd_Drive__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
.set Agnd_Drive__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
.set Agnd_Drive__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
.set Agnd_Drive__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
.set Agnd_Drive__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
.set Agnd_Drive__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
.set Agnd_Drive__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
.set Agnd_Drive__PS CYDEV_IO_PRT_PRT3_PS
.set Agnd_Drive__SLW CYDEV_IO_PRT_PRT3_SLW

/* Excitation */
.set Excitation__0__MASK 0x80
.set Excitation__0__PC CYDEV_IO_PC_PRT3_PC7
.set Excitation__0__PORT 3
.set Excitation__0__SHIFT 7
.set Excitation__AG CYDEV_IO_PRT_PRT3_AG
.set Excitation__AMUX CYDEV_IO_PRT_PRT3_AMUX
.set Excitation__BIE CYDEV_IO_PRT_PRT3_BIE
.set Excitation__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
.set Excitation__BYP CYDEV_IO_PRT_PRT3_BYP
.set Excitation__CTL CYDEV_IO_PRT_PRT3_CTL
.set Excitation__DM0 CYDEV_IO_PRT_PRT3_DM0
.set Excitation__DM1 CYDEV_IO_PRT_PRT3_DM1
.set Excitation__DM2 CYDEV_IO_PRT_PRT3_DM2
.set Excitation__DR CYDEV_IO_PRT_PRT3_DR
.set Excitation__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
.set Excitation__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
.set Excitation__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
.set Excitation__PORT 3
.set Excitation__PRT CYDEV_IO_PRT_PRT3_PRT
.set Excitation__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
.set Excitation__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
.set Excitation__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
.set Excitation__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
.set Excitation__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
.set Excitation__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
.set Excitation__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
.set Excitation__PS CYDEV_IO_PRT_PRT3_PS
.set Excitation__SLW CYDEV_IO_PRT_PRT3_SLW

/* Sine_Table */
.set Sine_Table__DRQ_CTL CYDEV_IDMUX_DRQ_CTL2
.set Sine_Table__DRQ_NUMBER 10
.set Sine_Table__NUMBEROF_TDS 0
.set Sine_Table__PRIORITY 2
.set Sine_Table__TERMIN_EN 0
.set Sine_Table__TERMIN_SEL 0
.set Sine_Table__TERMOUT0_EN 1
.set Sine_Table__TERMOUT0_SEL 10
.set Sine_Table__TERMOUT1_EN 0
.set Sine_Table__TERMOUT1_SEL 0

/* TIA_Output */
.set TIA_Output__0__MASK 0x02
.set TIA_Output__0__PC CYDEV_IO_PC_PRT0_PC1
.set TIA_Output__0__PORT 0
.set TIA_Output__0__SHIFT 1
.set TIA_Output__AG CYDEV_IO_PRT_PRT0_AG
.set TIA_Output__AMUX CYDEV_IO_PRT_PRT0_AMUX
.set TIA_Output__BIE CYDEV_IO_PRT_PRT0_BIE
.set TIA_Output__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
.set TIA_Output__BYP CYDEV_IO_PRT_PRT0_BYP
.set TIA_Output__CTL CYDEV_IO_PRT_PRT0_CTL
.set TIA_Output__DM0 CYDEV_IO_PRT_PRT0_DM0
.set TIA_Output__DM1 CYDEV_IO_PRT_PRT0_DM1
.set TIA_Output__DM2 CYDEV_IO_PRT_PRT0_DM2
.set TIA_Output__DR CYDEV_IO_PRT_PRT0_DR
.set TIA_Output__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
.set TIA_Output__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
.set TIA_Output__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
.set TIA_Output__PORT 0
.set TIA_Output__PRT CYDEV_IO_PRT_PRT0_PRT
.set TIA_Output__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
.set TIA_Output__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
.set TIA_Output__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
.set TIA_Output__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
.set TIA_Output__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
.set TIA_Output__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
.set TIA_Output__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
.set TIA_Output__PS CYDEV_IO_PRT_PRT0_PS
.set TIA_Output__SLW CYDEV_IO_PRT_PRT0_SLW

/* TIA_Input */
.set TIA_Input__0__MASK 0x08
.set TIA_Input__0__PC CYDEV_IO_PC_PRT0_PC3
.set TIA_Input__0__PORT 0
.set TIA_Input__0__SHIFT 3
.set TIA_Input__AG CYDEV_IO_PRT_PRT0_AG
.set TIA_Input__AMUX CYDEV_IO_PRT_PRT0_AMUX
.set TIA_Input__BIE CYDEV_IO_PRT_PRT0_BIE
.set TIA_Input__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
.set TIA_Input__BYP CYDEV_IO_PRT_PRT0_BYP
.set TIA_Input__CTL CYDEV_IO_PRT_PRT0_CTL
.set TIA_Input__DM0 CYDEV_IO_PRT_PRT0_DM0
.set TIA_Input__DM1 CYDEV_IO_PRT_PRT0_DM1
.set TIA_Input__DM2 CYDEV_IO_PRT_PRT0_DM2
.set TIA_Input__DR CYDEV_IO_PRT_PRT0_DR
.set TIA_Input__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
.set TIA_Input__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
.set TIA_Input__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
.set TIA_Input__PORT 0
.set TIA_Input__PRT CYDEV_IO_PRT_PRT0_PRT
.set TIA_Input__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
.set TIA_Input__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
.set TIA_Input__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
.set TIA_Input__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
.set TIA_Input__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
.set TIA_Input__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
.set TIA_Input__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
.set TIA_Input__PS CYDEV_IO_PRT_PRT0_PS
.set TIA_Input__SLW CYDEV_IO_PRT_PRT0_SLW

/* TIA_Sense */
.set TIA_Sense__0__MASK 0x10
.set TIA_Sense__0__PC CYDEV_IO_PC_PRT0_PC4
.set TIA_Sense__0__PORT 0
.set TIA_Sense__0__SHIFT 4
.set TIA_Sense__AG CYDEV_IO_PRT_PRT0_AG
.set TIA_Sense__AMUX CYDEV_IO_PRT_PRT0_AMUX
.set TIA_Sense__BIE CYDEV_IO_PRT_PRT0_BIE
.set TIA_Sense__BIT_MASK CYDEV_IO_PRT_PRT0_BIT_MASK
.set TIA_Sense__BYP CYDEV_IO_PRT_PRT0_BYP
.set TIA_Sense__CTL CYDEV_IO_PRT_PRT0_CTL
.set TIA_Sense__DM0 CYDEV_IO_PRT_PRT0_DM0
.set TIA_Sense__DM1 CYDEV_IO_PRT_PRT0_DM1
.set TIA_Sense__DM2 CYDEV_IO_PRT_PRT0_DM2
.set TIA_Sense__DR CYDEV_IO_PRT_PRT0_DR
.set TIA_Sense__INP_DIS CYDEV_IO_PRT_PRT0_INP_DIS
.set TIA_Sense__LCD_COM_SEG CYDEV_IO_PRT_PRT0_LCD_COM_SEG
.set TIA_Sense__LCD_EN CYDEV_IO_PRT_PRT0_LCD_EN
.set TIA_Sense__PORT 0
.set TIA_Sense__PRT CYDEV_IO_PRT_PRT0_PRT
.set TIA_Sense__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT0_CAPS_SEL
.set TIA_Sense__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT0_DBL_SYNC_IN
.set TIA_Sense__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT0_OE_SEL0
.set TIA_Sense__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT0_OE_SEL1
.set TIA_Sense__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT0_OUT_SEL0
.set TIA_Sense__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT0_OUT_SEL1
.set TIA_Sense__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT0_SYNC_OUT
.set TIA_Sense__PS CYDEV_IO_PRT_PRT0_PS
.set TIA_Sense__SLW CYDEV_IO_PRT_PRT0_SLW

/* Contrast */
.set Contrast__0__MASK 0x01
.set Contrast__0__PC CYDEV_IO_PC_PRT5_PC0
.set Contrast__0__PORT 5
.set Contrast__0__SHIFT 0
.set Contrast__AG CYDEV_IO_PRT_PRT5_AG
.set Contrast__AMUX CYDEV_IO_PRT_PRT5_AMUX
.set Contrast__BIE CYDEV_IO_PRT_PRT5_BIE
.set Contrast__BIT_MASK CYDEV_IO_PRT_PRT5_BIT_MASK
.set Contrast__BYP CYDEV_IO_PRT_PRT5_BYP
.set Contrast__CTL CYDEV_IO_PRT_PRT5_CTL
.set Contrast__DM0 CYDEV_IO_PRT_PRT5_DM0
.set Contrast__DM1 CYDEV_IO_PRT_PRT5_DM1
.set Contrast__DM2 CYDEV_IO_PRT_PRT5_DM2
.set Contrast__DR CYDEV_IO_PRT_PRT5_DR
.set Contrast__INP_DIS CYDEV_IO_PRT_PRT5_INP_DIS
.set Contrast__LCD_COM_SEG CYDEV_IO_PRT_PRT5_LCD_COM_SEG
.set Contrast__LCD_EN CYDEV_IO_PRT_PRT5_LCD_EN
.set Contrast__MASK 0x01
.set Contrast__PORT 5
.set Contrast__PRT CYDEV_IO_PRT_PRT5_PRT
.set Contrast__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT5_CAPS_SEL
.set Contrast__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT5_DBL_SYNC_IN
.set Contrast__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT5_OE_SEL0
.set Contrast__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT5_OE_SEL1
.set Contrast__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT5_OUT_SEL0
.set Contrast__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT5_OUT_SEL1
.set Contrast__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT5_SYNC_OUT
.set Contrast__PS CYDEV_IO_PRT_PRT5_PS
.set Contrast__SHIFT 0
.set Contrast__SLW CYDEV_IO_PRT_PRT5_SLW

/* Drive_in */
.set Drive_in__0__MASK 0x08
.set Drive_in__0__PC CYDEV_IO_PC_PRT3_PC3
.set Drive_in__0__PORT 3
.set Drive_in__0__SHIFT 3
.set Drive_in__AG CYDEV_IO_PRT_PRT3_AG
.set Drive_in__AMUX CYDEV_IO_PRT_PRT3_AMUX
.set Drive_in__BIE CYDEV_IO_PRT_PRT3_BIE
.set Drive_in__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
.set Drive_in__BYP CYDEV_IO_PRT_PRT3_BYP
.set Drive_in__CTL CYDEV_IO_PRT_PRT3_CTL
.set Drive_in__DM0 CYDEV_IO_PRT_PRT3_DM0
.set Drive_in__DM1 CYDEV_IO_PRT_PRT3_DM1
.set Drive_in__DM2 CYDEV_IO_PRT_PRT3_DM2
.set Drive_in__DR CYDEV_IO_PRT_PRT3_DR
.set Drive_in__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
.set Drive_in__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
.set Drive_in__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
.set Drive_in__PORT 3
.set Drive_in__PRT CYDEV_IO_PRT_PRT3_PRT
.set Drive_in__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
.set Drive_in__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
.set Drive_in__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
.set Drive_in__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
.set Drive_in__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
.set Drive_in__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
.set Drive_in__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
.set Drive_in__PS CYDEV_IO_PRT_PRT3_PS
.set Drive_in__SLW CYDEV_IO_PRT_PRT3_SLW

/* Mixer_SC */
.set Mixer_SC__BST CYDEV_ANAIF_RT_SC0_BST
.set Mixer_SC__CLK CYDEV_ANAIF_RT_SC0_CLK
.set Mixer_SC__CR0 CYDEV_ANAIF_CFG_SC0_CR0
.set Mixer_SC__CR1 CYDEV_ANAIF_CFG_SC0_CR1
.set Mixer_SC__CR2 CYDEV_ANAIF_CFG_SC0_CR2
.set Mixer_SC__MSK CYDEV_ANAIF_WRK_SC_MSK
.set Mixer_SC__PM_ACT_CFG CYDEV_PM_ACT_CFG9
.set Mixer_SC__PM_ACT_MSK 0x01
.set Mixer_SC__PM_STBY_CFG CYDEV_PM_STBY_CFG9
.set Mixer_SC__PM_STBY_MSK 0x01
.set Mixer_SC__SR CYDEV_ANAIF_WRK_SC_SR
.set Mixer_SC__SW0 CYDEV_ANAIF_RT_SC0_SW0
.set Mixer_SC__SW10 CYDEV_ANAIF_RT_SC0_SW10
.set Mixer_SC__SW2 CYDEV_ANAIF_RT_SC0_SW2
.set Mixer_SC__SW3 CYDEV_ANAIF_RT_SC0_SW3
.set Mixer_SC__SW4 CYDEV_ANAIF_RT_SC0_SW4
.set Mixer_SC__SW6 CYDEV_ANAIF_RT_SC0_SW6
.set Mixer_SC__SW7 CYDEV_ANAIF_RT_SC0_SW7
.set Mixer_SC__SW8 CYDEV_ANAIF_RT_SC0_SW8

/* TIA_ABuf */
.set TIA_ABuf__CR CYDEV_ANAIF_CFG_ABUF0_CR
.set TIA_ABuf__MX CYDEV_ANAIF_RT_ABUF0_MX
.set TIA_ABuf__NPUMP_ABUF_TR0 CYDEV_MFGCFG_ANAIF_NPUMP_ABUF_TR0
.set TIA_ABuf__PM_ACT_CFG CYDEV_PM_ACT_CFG4
.set TIA_ABuf__PM_ACT_MSK 0x01
.set TIA_ABuf__PM_STBY_CFG CYDEV_PM_STBY_CFG4
.set TIA_ABuf__PM_STBY_MSK 0x01
.set TIA_ABuf__RSVD CYDEV_ANAIF_CFG_ABUF0_RSVD
.set TIA_ABuf__SW CYDEV_ANAIF_RT_ABUF0_SW
.set TIA_ABuf__TR0 CYDEV_MFGCFG_ANAIF_ABUF0_TR0
.set TIA_ABuf__TR1 CYDEV_MFGCFG_ANAIF_ABUF0_TR1

/* ADC_DEC */
.set ADC_DEC__COHER CYDEV_DEC_COHER
.set ADC_DEC__CR CYDEV_DEC_CR
.set ADC_DEC__DR1 CYDEV_DEC_DR1
.set ADC_DEC__DR2 CYDEV_DEC_DR2
.set ADC_DEC__DR2H CYDEV_DEC_DR2H
.set ADC_DEC__GCOR CYDEV_DEC_GCOR
.set ADC_DEC__GCORH CYDEV_DEC_GCORH
.set ADC_DEC__GVAL CYDEV_DEC_GVAL
.set ADC_DEC__OCOR CYDEV_DEC_OCOR
.set ADC_DEC__OCORH CYDEV_DEC_OCORH
.set ADC_DEC__OCORM CYDEV_DEC_OCORM
.set ADC_DEC__OUTSAMP CYDEV_DEC_OUTSAMP
.set ADC_DEC__OUTSAMPH CYDEV_DEC_OUTSAMPH
.set ADC_DEC__OUTSAMPM CYDEV_DEC_OUTSAMPM
.set ADC_DEC__OUTSAMPS CYDEV_DEC_OUTSAMPS
.set ADC_DEC__PM_ACT_CFG CYDEV_PM_ACT_CFG10
.set ADC_DEC__PM_ACT_MSK 0x01
.set ADC_DEC__PM_STBY_CFG CYDEV_PM_STBY_CFG10
.set ADC_DEC__PM_STBY_MSK 0x01
.set ADC_DEC__SHIFT1 CYDEV_DEC_SHIFT1
.set ADC_DEC__SHIFT2 CYDEV_DEC_SHIFT2
.set ADC_DEC__SR CYDEV_DEC_SR

/* ADC_DSM */
.set ADC_DSM__BUF0 CYDEV_ANAIF_CFG_DSM0_BUF0
.set ADC_DSM__BUF1 CYDEV_ANAIF_CFG_DSM0_BUF1
.set ADC_DSM__BUF2 CYDEV_ANAIF_CFG_DSM0_BUF2
.set ADC_DSM__BUF3 CYDEV_ANAIF_CFG_DSM0_BUF3
.set ADC_DSM__CLK CYDEV_ANAIF_RT_DSM0_CLK
.set ADC_DSM__CR0 CYDEV_ANAIF_CFG_DSM0_CR0
.set ADC_DSM__CR1 CYDEV_ANAIF_CFG_DSM0_CR1
.set ADC_DSM__CR10 CYDEV_ANAIF_CFG_DSM0_CR10
.set ADC_DSM__CR11 CYDEV_ANAIF_CFG_DSM0_CR11
.set ADC_DSM__CR12 CYDEV_ANAIF_CFG_DSM0_CR12
.set ADC_DSM__CR13 CYDEV_ANAIF_CFG_DSM0_CR13
.set ADC_DSM__CR14 CYDEV_ANAIF_CFG_DSM0_CR14
.set ADC_DSM__CR15 CYDEV_ANAIF_CFG_DSM0_CR15
.set ADC_DSM__CR16 CYDEV_ANAIF_CFG_DSM0_CR16
.set ADC_DSM__CR17 CYDEV_ANAIF_CFG_DSM0_CR17
.set ADC_DSM__CR2 CYDEV_ANAIF_CFG_DSM0_CR2
.set ADC_DSM__CR3 CYDEV_ANAIF_CFG_DSM0_CR3
.set ADC_DSM__CR4 CYDEV_ANAIF_CFG_DSM0_CR4
.set ADC_DSM__CR5 CYDEV_ANAIF_CFG_DSM0_CR5
.set ADC_DSM__CR6 CYDEV_ANAIF_CFG_DSM0_CR6
.set ADC_DSM__CR7 CYDEV_ANAIF_CFG_DSM0_CR7
.set ADC_DSM__CR8 CYDEV_ANAIF_CFG_DSM0_CR8
.set ADC_DSM__CR9 CYDEV_ANAIF_CFG_DSM0_CR9
.set ADC_DSM__DEM0 CYDEV_ANAIF_CFG_DSM0_DEM0
.set ADC_DSM__DEM1 CYDEV_ANAIF_CFG_DSM0_DEM1
.set ADC_DSM__MISC CYDEV_ANAIF_CFG_DSM0_MISC
.set ADC_DSM__OUT0 CYDEV_ANAIF_WRK_DSM0_OUT0
.set ADC_DSM__OUT1 CYDEV_ANAIF_WRK_DSM0_OUT1
.set ADC_DSM__REF0 CYDEV_ANAIF_CFG_DSM0_REF0
.set ADC_DSM__REF1 CYDEV_ANAIF_CFG_DSM0_REF1
.set ADC_DSM__REF2 CYDEV_ANAIF_CFG_DSM0_REF2
.set ADC_DSM__REF3 CYDEV_ANAIF_CFG_DSM0_REF3
.set ADC_DSM__RSVD1 CYDEV_ANAIF_CFG_DSM0_RSVD1
.set ADC_DSM__SW0 CYDEV_ANAIF_RT_DSM0_SW0
.set ADC_DSM__SW2 CYDEV_ANAIF_RT_DSM0_SW2
.set ADC_DSM__SW3 CYDEV_ANAIF_RT_DSM0_SW3
.set ADC_DSM__SW4 CYDEV_ANAIF_RT_DSM0_SW4
.set ADC_DSM__SW6 CYDEV_ANAIF_RT_DSM0_SW6
.set ADC_DSM__TR0 CYDEV_MFGCFG_ANAIF_NPUMP_DSM_TR0
.set ADC_DSM__TST0 CYDEV_ANAIF_CFG_DSM0_TST0
.set ADC_DSM__TST1 CYDEV_ANAIF_CFG_DSM0_TST1

/* ADC_IRQ */
.set ADC_IRQ__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
.set ADC_IRQ__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
.set ADC_IRQ__INTC_MASK 0x20000000
.set ADC_IRQ__INTC_NUMBER 29
.set ADC_IRQ__INTC_PRIOR_NUM 7
.set ADC_IRQ__INTC_PRIOR_REG CYDEV_NVIC_PRI_29
.set ADC_IRQ__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
.set ADC_IRQ__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* Clock_1 */
.set Clock_1__CFG0 CYDEV_CLKDIST_DCFG0_CFG0
.set Clock_1__CFG1 CYDEV_CLKDIST_DCFG0_CFG1
.set Clock_1__CFG2 CYDEV_CLKDIST_DCFG0_CFG2
.set Clock_1__PM_ACT_CFG CYDEV_PM_ACT_CFG2
.set Clock_1__PM_ACT_MSK 0x01
.set Clock_1__PM_STBY_CFG CYDEV_PM_STBY_CFG2
.set Clock_1__PM_STBY_MSK 0x01

/* isr_SOC */
.set isr_SOC__INTC_CLR_EN_REG CYDEV_NVIC_CLRENA0
.set isr_SOC__INTC_CLR_PD_REG CYDEV_NVIC_CLRPEND0
.set isr_SOC__INTC_MASK 0x1000
.set isr_SOC__INTC_NUMBER 12
.set isr_SOC__INTC_PRIOR_NUM 7
.set isr_SOC__INTC_PRIOR_REG CYDEV_NVIC_PRI_12
.set isr_SOC__INTC_SET_EN_REG CYDEV_NVIC_SETENA0
.set isr_SOC__INTC_SET_PD_REG CYDEV_NVIC_SETPEND0

/* Trigger */
.set Trigger__0__MASK 0x10
.set Trigger__0__PC CYDEV_IO_PC_PRT12_PC4
.set Trigger__0__PORT 12
.set Trigger__0__SHIFT 4
.set Trigger__AG CYDEV_IO_PRT_PRT12_AG
.set Trigger__BIE CYDEV_IO_PRT_PRT12_BIE
.set Trigger__BIT_MASK CYDEV_IO_PRT_PRT12_BIT_MASK
.set Trigger__BYP CYDEV_IO_PRT_PRT12_BYP
.set Trigger__DM0 CYDEV_IO_PRT_PRT12_DM0
.set Trigger__DM1 CYDEV_IO_PRT_PRT12_DM1
.set Trigger__DM2 CYDEV_IO_PRT_PRT12_DM2
.set Trigger__DR CYDEV_IO_PRT_PRT12_DR
.set Trigger__INP_DIS CYDEV_IO_PRT_PRT12_INP_DIS
.set Trigger__MASK 0x10
.set Trigger__PORT 12
.set Trigger__PRT CYDEV_IO_PRT_PRT12_PRT
.set Trigger__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT12_DBL_SYNC_IN
.set Trigger__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT12_OE_SEL0
.set Trigger__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT12_OE_SEL1
.set Trigger__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT12_OUT_SEL0
.set Trigger__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT12_OUT_SEL1
.set Trigger__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT12_SYNC_OUT
.set Trigger__PS CYDEV_IO_PRT_PRT12_PS
.set Trigger__SHIFT 4
.set Trigger__SIO_CFG CYDEV_IO_PRT_PRT12_SIO_CFG
.set Trigger__SIO_DIFF CYDEV_IO_PRT_PRT12_SIO_DIFF
.set Trigger__SIO_HYST_EN CYDEV_IO_PRT_PRT12_SIO_HYST_EN
.set Trigger__SIO_REG_HIFREQ CYDEV_IO_PRT_PRT12_SIO_REG_HIFREQ
.set Trigger__SLW CYDEV_IO_PRT_PRT12_SLW

/* Button */
.set Button__0__MASK 0x08
.set Button__0__PC CYDEV_IO_PC_PRT12_PC3
.set Button__0__PORT 12
.set Button__0__SHIFT 3
.set Button__AG CYDEV_IO_PRT_PRT12_AG
.set Button__BIE CYDEV_IO_PRT_PRT12_BIE
.set Button__BIT_MASK CYDEV_IO_PRT_PRT12_BIT_MASK
.set Button__BYP CYDEV_IO_PRT_PRT12_BYP
.set Button__DM0 CYDEV_IO_PRT_PRT12_DM0
.set Button__DM1 CYDEV_IO_PRT_PRT12_DM1
.set Button__DM2 CYDEV_IO_PRT_PRT12_DM2
.set Button__DR CYDEV_IO_PRT_PRT12_DR
.set Button__INP_DIS CYDEV_IO_PRT_PRT12_INP_DIS
.set Button__MASK 0x08
.set Button__PORT 12
.set Button__PRT CYDEV_IO_PRT_PRT12_PRT
.set Button__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT12_DBL_SYNC_IN
.set Button__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT12_OE_SEL0
.set Button__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT12_OE_SEL1
.set Button__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT12_OUT_SEL0
.set Button__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT12_OUT_SEL1
.set Button__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT12_SYNC_OUT
.set Button__PS CYDEV_IO_PRT_PRT12_PS
.set Button__SHIFT 3
.set Button__SIO_CFG CYDEV_IO_PRT_PRT12_SIO_CFG
.set Button__SIO_DIFF CYDEV_IO_PRT_PRT12_SIO_DIFF
.set Button__SIO_HYST_EN CYDEV_IO_PRT_PRT12_SIO_HYST_EN
.set Button__SIO_REG_HIFREQ CYDEV_IO_PRT_PRT12_SIO_REG_HIFREQ
.set Button__SLW CYDEV_IO_PRT_PRT12_SLW

/* Rdrive */
.set Rdrive__0__MASK 0x01
.set Rdrive__0__PC CYDEV_IO_PC_PRT3_PC0
.set Rdrive__0__PORT 3
.set Rdrive__0__SHIFT 0
.set Rdrive__AG CYDEV_IO_PRT_PRT3_AG
.set Rdrive__AMUX CYDEV_IO_PRT_PRT3_AMUX
.set Rdrive__BIE CYDEV_IO_PRT_PRT3_BIE
.set Rdrive__BIT_MASK CYDEV_IO_PRT_PRT3_BIT_MASK
.set Rdrive__BYP CYDEV_IO_PRT_PRT3_BYP
.set Rdrive__CTL CYDEV_IO_PRT_PRT3_CTL
.set Rdrive__DM0 CYDEV_IO_PRT_PRT3_DM0
.set Rdrive__DM1 CYDEV_IO_PRT_PRT3_DM1
.set Rdrive__DM2 CYDEV_IO_PRT_PRT3_DM2
.set Rdrive__DR CYDEV_IO_PRT_PRT3_DR
.set Rdrive__INP_DIS CYDEV_IO_PRT_PRT3_INP_DIS
.set Rdrive__LCD_COM_SEG CYDEV_IO_PRT_PRT3_LCD_COM_SEG
.set Rdrive__LCD_EN CYDEV_IO_PRT_PRT3_LCD_EN
.set Rdrive__PORT 3
.set Rdrive__PRT CYDEV_IO_PRT_PRT3_PRT
.set Rdrive__PRTDSI__CAPS_SEL CYDEV_PRTDSI_PRT3_CAPS_SEL
.set Rdrive__PRTDSI__DBL_SYNC_IN CYDEV_PRTDSI_PRT3_DBL_SYNC_IN
.set Rdrive__PRTDSI__OE_SEL0 CYDEV_PRTDSI_PRT3_OE_SEL0
.set Rdrive__PRTDSI__OE_SEL1 CYDEV_PRTDSI_PRT3_OE_SEL1
.set Rdrive__PRTDSI__OUT_SEL0 CYDEV_PRTDSI_PRT3_OUT_SEL0
.set Rdrive__PRTDSI__OUT_SEL1 CYDEV_PRTDSI_PRT3_OUT_SEL1
.set Rdrive__PRTDSI__SYNC_OUT CYDEV_PRTDSI_PRT3_SYNC_OUT
.set Rdrive__PS CYDEV_IO_PRT_PRT3_PS
.set Rdrive__SLW CYDEV_IO_PRT_PRT3_SLW

/* Phase */
.set Phase_ctrl_reg__0__MASK 0x01
.set Phase_ctrl_reg__0__POS 0
.set Phase_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_ACTL
.set Phase_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
.set Phase_ctrl_reg__16BIT_CONTROL_COUNT_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
.set Phase_ctrl_reg__16BIT_COUNT_CONTROL_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
.set Phase_ctrl_reg__16BIT_COUNT_COUNT_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_CTL
.set Phase_ctrl_reg__16BIT_MASK_MASK_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
.set Phase_ctrl_reg__16BIT_MASK_PERIOD_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
.set Phase_ctrl_reg__16BIT_PERIOD_MASK_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
.set Phase_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYDEV_UWRK_UWRK16_DEF_B0_UDB05_06_MSK
.set Phase_ctrl_reg__CONTROL_AUX_CTL_REG CYDEV_UWRK_UWRK8_B0_UDB05_ACTL
.set Phase_ctrl_reg__CONTROL_REG CYDEV_UWRK_UWRK8_B0_UDB05_CTL
.set Phase_ctrl_reg__CONTROL_ST_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
.set Phase_ctrl_reg__COUNT_REG CYDEV_UWRK_UWRK8_B0_UDB05_CTL
.set Phase_ctrl_reg__COUNT_ST_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_ST_CTL
.set Phase_ctrl_reg__MASK 0x01
.set Phase_ctrl_reg__MASK_CTL_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_MSK_ACTL
.set Phase_ctrl_reg__PER_CTL_AUX_CTL_REG CYDEV_UWRK_UWRK16_CAT_B0_UDB05_MSK_ACTL
.set Phase_ctrl_reg__PERIOD_REG CYDEV_UWRK_UWRK8_B0_UDB05_MSK

/* Miscellaneous */
.set CYDEV_CHIP_REV_PANTHER_ES1 0
.set CYDEV_CHIP_DIE_PANTHER 2
.set CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
.set BCLK__BUS_CLK__HZ 66000000
.set BCLK__BUS_CLK__KHZ 66000
.set BCLK__BUS_CLK__MHZ 66
.set CYDEV_BOOTLOADER_WAIT_COMMAND 1
.set CYDEV_BOOTLOADER_WAIT_TIME 10
.set CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_DIE_LEOPARD 1
.set CYDEV_CHIP_DIE_UNKNOWN 0
.set CYDEV_CHIP_JTAG_ID 0x0E13C069
.set CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
.set CYDEV_CHIP_REV_LEOPARD_ES1 0
.set CYDEV_CHIP_REV_LEOPARD_ES2 1
.set CYDEV_CONFIGURATION_ECC 0
.set CYDEV_CONFIGURATION_IMOENABLED 0
.set CYDEV_CONFIGURATION_MODE 0
.set CYDEV_DATA_CACHE_ENABLED 1
.set CYDEV_DEBUG_ENABLE_MASK 0x01
.set CYDEV_DEBUG_ENABLE_REGISTER CYDEV_MFGCFG_MLOGIC_DBG_DBE
.set CYDEV_DEBUGGING_DPS 2
.set CYDEV_DEBUGGING_ENABLE 1
.set CYDEV_DEBUGGING_REQXRES 1
.set CYDEV_DEBUGGING_XRES 0
.set CYDEV_ECC_ENABLE 0
.set CYDEV_INSTRUCT_CACHE_ENABLED 1
.set CYDEV_VDDA 5.5
.set CYDEV_VDDD 5.5
.set CYDEV_VIO0 5.5
.set CYDEV_VIO1 5.5
.set CYDEV_VIO2 5.5
.set CYDEV_VIO3 5.5
.set DMA_CHANNELS_USED__MASK0 0x00000400
.set CYDEV_BOOTLOADER_ENABLE 0
.endif
